<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Client;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;

class ClientsController extends Controller
{
    //users view
    public function index(Request $request)
    {

        $search = $request->query('search');
        $sort = $request->query('sort', 'desc');
        $clients = Client::all();
        $clients = Client::when($search, function ($query) use ($search) {
            $query->where('name', 'like', '%' . $search . '%');

        })
        ->orderBy('created_at',$sort)
        ->paginate(5);
        return view('Admin.Clients.clientlist', compact('clients'));
    }




    //add users view
    public function add()
    {
        return view('Admin.Clients.add_client');
    }

    //Creat Users
    public function create(Request $request)
    {
        //validation
        $request->validate([

            'name'=> ['required'],
            'logo'=> ['required'],
            'status'=> ['required'],
        ]);


              $clients = new Client;

              $clients->name = $request->name;

              $clients->status = $request->status;





                    if($request->hasFile('logo'))
                      {
                          $file=$request->file('logo');

                          $extension = $file->getClientOriginalExtension();
                          $filename= time().'.'.$extension;
                          $file->move('assets/img/client',$filename);

                          $clients->logo=$filename;

                      }

                      $clients->save();
                      return back()->withSuccess('Client Created !!!!!');

                  }


 //Edit users view
 public function edit($id)
{


     $clients =Client::where('id', $id)->first();
     return view('Admin.Clients.edit_client', ['clients' => $clients,]);

}

//Upadte Users
public function update(Request $request, $id)
{
   //validation
   $request->validate([
    'name'=> ['required'],

    'status'=> ['required'],



]);

    $clients = Client::where('id', $id)->first();
    $clients->name = $request->name;

    $clients->status = $request->status;




    if($request->hasFile('logo'))
    {
        $destination = 'assets/img/client'.$clients->logo;
        if(File::exists($destination)){
            File::delete($destination);
        }
      $file=$request->file('logo');

        $extension = $file->getClientOriginalExtension();
        // dd($extension); exit("test");
        $filename= time().'.'.$extension;
        $file->move('assets/img/client',$filename);
        $clients->logo=$filename;

    }

    $clients->save();
    return redirect('/admin/clients')->withSuccess('Client Updated !!!!!');
}


 // Delete Users
 public function destroy($id)
 {
     $clients = Client::where('id', $id)->first();
     $clients->delete();
     return back()->withSuccess('Client Deleted !!!!!');

 }




}
