<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Mail\SendMassage;
use App\Models\ContactRequest;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class ContactRequestsController extends Controller
{
    //Contact Request view
    public function index(Request $request)
    {
        $search = $request->query('search');
        $ContactRequest = ContactRequest::all();
        $ContactRequest = ContactRequest::when($search, function ($query) use ($search) {
            $query->where('name', 'like', '%' . $search . '%')
                ->orWhere('id', $search)
                ->orWhere('email', 'like', '%' . $search . '%');
        })
            ->orderByDesc('created_at')
            ->paginate(10);
        return view('Admin.ContactRequest.requestlist', compact('ContactRequest'));
    }




    //add Contact Request view
    public function add()
    {
        return view('Admin.ContactRequest.add_request');
    }

    //Creat Contact Request
    public function create(Request $request)
    {

        //validation
        $request->validate([
            'f_name' => ['required'],
            'l_name' => ['required'],
            'company' => ['required'],
            'phone' => ['required'],
            'email' => ['required', 'email'],
            'message' => ['required'],
        ]);
        $data = $request->only(['f_name','l_name','phone','email','subject','message']);
        $data['type']='admin';
        Mail::to($data['email'])->send(new SendMassage($data));


        return response()->json(['message' => 'We Received Your Message!'], 200);
    }


    // Delete Contact Request
    public function destroy($id)
    {
        $request = ContactRequest::where('id', $id)->first();
        $request->delete();
        return back()->withSuccess('Contact Request Deleted !!!!!');

    }


}
