<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Faqs;
use Illuminate\Http\Request;

class FaqsController extends Controller
{
    // Display the list of faqs
    public function index(Request $request)
    {   

        $search = $request->query('search');
        $faqs = Faqs::all();
        $faqs = Faqs::when($search, function ($query) use ($search) {
            $query->where('name', 'like', '%' . $search . '%' )
                  ->orWhere('id',  $search )
                  ->orWhere('last_name', 'like', '%' . $search . '%')
                  ->orWhere('email', 'like', '%' . $search . '%')
                  ->orWhere('address', 'like', '%' . $search . '%');
                  
        })
        ->orderByDesc('created_at')
        ->paginate(5);

     
        return view('Admin.Faqs.faqslist', compact('faqs'));
    }

    // add a new faqs
    public function add()
    {
        return view('Admin.Faqs.add_faqs');
    }

    // Create a new faqs
    public function create(Request $request)
    {
        // Validate the request data
        $request->validate([
            'faq_question' => ['required'],
            'faq_answer' => ['required'],
            'Status' => ['required'],
        ]);

        // Create a new faqs
        $faqs = new Faqs;
        $faqs->faq_question = $request->faq_question;
        $faqs->faq_answer = $request->faq_answer;
        $faqs->Status = $request->Status;

        $faqs->save();
        return back()->withSuccess('Faqs Created!');
    }

    // Show the faqs to edit an faqs
    public function edit($id)
    {
        $faq = Faqs::findOrFail($id);
        return view('Admin.Faqs.edit_faqs', ['faq' => $faq]);
    }

    // Update an existing faqs
    public function update(Request $request, $id)
    {
        // Validate the request data
        $request->validate([
            'faq_question' => ['required'],
            'faq_answer' => ['required'],
            'Status' => ['required'],
        ]);

        $faqs = Faqs::findOrFail($id);
        $faqs->faq_question = $request->faq_question;
        $faqs->faq_answer = $request->faq_answer;
        $faqs->Status = $request->Status;

        $faqs->save();
        return redirect('admin/faqs')->withSuccess('Faqs Updated!');
    }

    // Delete an faqs
    public function destroy($id)
    {
        $faqs = Faqs::findOrFail($id);
        $faqs->delete();
        return back()->withSuccess('Faqs Deleted!');
    }
}
