<?php

namespace App\Http\Controllers\Admin;
use App\Models\Form;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class FormsController extends Controller
{
     // Forms view
     public function index()
     {
         $forms = Form::all();
         return view('Admin.Forms.formlist', compact('forms'));
     }

     // Add Forms view
     public function add()
     {
         return view('Admin.Forms.add_form');
     }

     // Create Forms
     public function create(Request $request)
     {
         // Validation
         $request->validate([
             'form' => ['required'],
             'form_description' => ['required'],
             'meta_tag' => ['required'],
             'meta_title' => ['required'],
             'meta_description' => ['required'],
             'Active_Dactive' => ['required'],
         ]);

         $form = new Form;
         $form->form = $request->form;
         $form->form_description = $request->form_description;
         $form->meta_tag = $request->meta_tag;
         $form->meta_title = $request->meta_title;
         $form->meta_description = $request->meta_description;
         $form->Active_Dactive = $request->Active_Dactive;

         $form->save();
         return back()->withSuccess('Form Created !!!!!');
     }

     // Edit Forms view
     public function edit($id)
     {
         $form = Form::where('id', $id)->first();
         return view('Admin.Forms.edit_form', ['form' => $form]);
     }

     // Update Forms
     public function update(Request $request, $id)
     {
         // Validation
         $request->validate([
            'form' => ['required'],
            'form_description' => ['required'],
            'meta_tag' => ['required'],
            'meta_title' => ['required'],
            'meta_description' => ['required'],
            'Active_Dactive' => ['required'],
         ]);

         $form = Form::where('id', $id)->first();
         $form->form = $request->form;
         $form->form_description = $request->form_description;
         $form->meta_tag = $request->meta_tag;
         $form->meta_title = $request->meta_title;
         $form->meta_description = $request->meta_description;
         $form->Active_Dactive = $request->Active_Dactive;

         $form->save();
         return redirect('admin/forms')->withSuccess('Form Updated !!!!!');
     }

     // Delete Forms
     public function destroy($id)
     {
         $form = Form::where('id', $id)->first();
         $form->delete();
         return back()->withSuccess('Form Deleted !!!!!');
     }
}
