<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Partner;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;

class PartnerController extends Controller
{
    //users view
    public function index(Request $request)
    {

        $search = $request->query('search');
        $sort = $request->query('sort', 'desc');
        $partners = Partner::all();
        $partners = Partner::when($search, function ($query) use ($search) {
            $query->where('name', 'like', '%' . $search . '%');
        })
            ->orderBy('created_at', $sort)
            ->paginate(5);
        return view('Admin.Partners.partnerlist', compact('partners'));
    }




    //add users view
    public function add()
    {
        return view('Admin.Partners.add_partner');
    }

    //Creat Users
    public function create(Request $request)
    {
        //validation
        $request->validate([

            // 'name' => ['required'],
            'logo' => ['required'],
            'status' => ['required'],
        ]);


        $partners = new Partner;

        $partners->name = $request->name;

        $partners->status = $request->status;





        if ($request->hasFile('logo')) {
            $file = $request->file('logo');

            $extension = $file->getClientOriginalExtension();
            $filename = time() . '.' . $extension;
            $file->move('assets/img/partner', $filename);

            $partners->logo = $filename;
        }

        $partners->save();
        return back()->withSuccess('Partner Created !!!!!');
    }


    //Edit users view
    public function edit($id)
    {


        $partners = Partner::where('id', $id)->first();
        return view('Admin.Partners.edit_partner', ['partners' => $partners,]);
    }

    //Upadte Users
    public function update(Request $request, $id)
    {
        //validation
        $request->validate([
            // 'name' => ['required'],

            'status' => ['required'],



        ]);

        $partners = Partner::where('id', $id)->first();
        $partners->name = $request->name;

        $partners->status = $request->status;




        if ($request->hasFile('logo')) {
            $destination = 'assets/img/partner' . $partners->logo;
            if (File::exists($destination)) {
                File::delete($destination);
            }
            $file = $request->file('logo');

            $extension = $file->getClientOriginalExtension();
            // dd($extension); exit("test");
            $filename = time() . '.' . $extension;
            $file->move('assets/img/partner', $filename);
            $partners->logo = $filename;
        }

        $partners->save();
        return redirect('/admin/partners')->withSuccess('Partner Updated !!!!!');
    }


    // Delete Users
    public function destroy($id)
    {
        $partners = Partner::where('id', $id)->first();
        $partners->delete();
        return back()->withSuccess('Partner Deleted !!!!!');
    }
}
