<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingController extends Controller
{
    // get all data from Setting model
    public function index()
    {
        $settings = Setting::all();
        return view("Admin.Setting.setting", compact('settings'));
    }


    public function update(Request $request)
    {

        // Retrieve the settings (assuming you have a 'Setting' model)
        $settings = Setting::firstOrFail(); // Use 'firstOrFail' to get a single record


        // Update Logo & Icon
        if ($request->tab_name == 'logo&icon') {

            if ($request->hasFile('logo')) {
                $logoName = time() . 'logo' . '.' . $request->file('logo')->getClientOriginalExtension();
                $request->file('logo')->move(public_path('web_name'), $logoName);
                $settings->logo = $logoName;
            }

            if ($request->hasFile('darklogo')) {
                $darklogoName = time() . 'darklogo' . '.' . $request->file('darklogo')->getClientOriginalExtension();
                $request->file('darklogo')->move(public_path('web_name'), $darklogoName);
                $settings->darklogo = $darklogoName;
            }

            if ($request->hasFile('icon')) {
                $iconName = time() . 'icon' . '.' . $request->file('icon')->getClientOriginalExtension();
                $request->file('icon')->move(public_path('web_name'), $iconName);
                $settings->icon = $iconName;
            }
            if ($request->hasFile('darkicon')) {
                $darkiconName = time() . 'darkicon' . '.' . $request->file('darkicon')->getClientOriginalExtension();
                $request->file('darkicon')->move(public_path('web_name'), $darkiconName);
                $settings->darkicon = $darkiconName;
            }
            if ($request->hasFile('favicon')) {
                $faviconName = time() . 'favicon' . '.' . $request->file('favicon')->getClientOriginalExtension();
                $request->file('favicon')->move(public_path('web_name'), $faviconName);
                $settings->favicon = $faviconName;
            }
            if ($request->hasFile('footer_logo')) {
                $footer_logoName = time() . 'footer_logo' . '.' . $request->file('footer_logo')->getClientOriginalExtension();
                $request->file('footer_logo')->move(public_path('web_name'), $footer_logoName);
                $settings->footer_logo = $footer_logoName;
            }

            $settings->save();
            return redirect('/settings')->with('success', 'Setting updated successfully!');
        }


        // Update General Setting
        if ($request->tab_name == 'genral') {

            $settings->web_name = $request->web_name;
            $settings->phone = $request->phone;
            $settings->email = $request->email;
            $settings->about = $request->about;
            $settings->address = $request->address;
            $settings->url = $request->url;
            $settings->description = $request->description;
            $settings->copyright = $request->copyright;

            $settings->save();
            return redirect('/settings')->with('success', 'Setting updated successfully!');
        }


        // Update Social Settings
        if ($request->tab_name == 'social') {

            $settings->facebook = $request->facebook;
            $settings->instagram = $request->instagram;
            $settings->pinterest = $request->pinterest;
            $settings->youtube = $request->youtube;
            $settings->twitter = $request->twitter;
            $settings->linkedIn = $request->linkedIn;

            $settings->save(); // Save the changes
            $settings->save();
            return redirect('/settings')->with('success', 'Setting updated successfully!');
        }




    }




}
