<?php

namespace App\Http\Controllers\Admin;

use App\Models\Team;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;

class TeamsController extends Controller
{
    //users view
    public function index(Request $request)
    {
        $search = $request->query('search');
        $teams = Team::all();
        $teams = Team::when($search, function ($query) use ($search) {
            $query->where('name', 'like', '%' . $search . '%')
                  ->orWhere('id',  $search )
                //   ->orWhere('title', 'like', '%' . $search . '%')
                  ->orWhere('designation', 'like', '%' . $search . '%');
                })
                ->orderByDesc('created_at')
                ->paginate(5);
        return view('Admin.Team.teamlist', compact('teams'));
    }

    //add users view
    public function add()
    {
        return view('Admin.Team.add_team');
    }

    //Creat Users
    public function create(Request $request)
    {
        //validation
        $request->validate([
            'name' => ['required'],
            // 'title'=> ['required'],
            'designation' => ['required'],
            'url'=> ['required'],
            'bio'=> ['required'],
            'image'=> ['required'],
            'meta_tag'=> ['required'],
            'meta_title'=> ['required'],
            'meta_description'=> ['required'],
            'status'=> ['required'],



        ]);


        $teams = new Team;
        $teams->name = $request->name;
        // $teams->title = $request->title ;
        $teams->designation = $request->designation;
        $teams->url = $request->url;
        $teams->bio = $request->bio;
        $teams->meta_tag = $request->meta_tag;
        $teams->meta_title = $request->meta_title;
        $teams->meta_description = $request->meta_description;
        $teams->status = $request->status;


        if ($request->hasFile('image')) {
            $file = $request->file('image');
            $extension = $file->getClientOriginalExtension();
            $filename = time() . '.' . $extension;

            // Move file to public directory
            $file->move(public_path('assets/img/team'), $filename);

            // Save only the file name
            $teams->image = $filename;
        }


        $teams->save();
        return back()->withSuccess('Team Member Created !!!!!');

    }

    //Edit users view
    public function edit($id)
    {
        $teams = Team::where('id', $id)->first();

        return view('Admin.Team.edit_team', ['teams' => $teams]);
    }

    //Upadte Users
    public function update(Request $request, $id)
    {
        //validation
        $request->validate([
           'name' => ['required'],
            // 'title'=> ['required'],
            'designation' => ['required'],
            'url'=> ['required'],
            'bio'=> ['required'],
            'meta_tag'=> ['required'],
            'meta_title'=> ['required'],
            'meta_description'=> ['required'],
            'status'=> ['required'],


        ]);


        $teams = Team::where('id', $id)->first();
        $teams->name = $request->name;
        // $teams->title = $request->title ;
        $teams->designation = $request->designation;
        $teams->url = $request->url;
        $teams->bio = $request->bio;
        $teams->meta_tag = $request->meta_tag;
        $teams->meta_title = $request->meta_title;
        $teams->meta_description = $request->meta_description;
        $teams->status = $request->status;


        if ($request->hasFile('image')) {
            // Delete old file if it exists
            $oldImagePath = public_path('assets/img/team/' . $teams->image);
            if (File::exists($oldImagePath)) {
                File::delete($oldImagePath);
            }

            $file = $request->file('image');
            $extension = $file->getClientOriginalExtension();
            $filename = time() . '.' . $extension;

            // Move new image to public directory
            $file->move(public_path('assets/img/team'), $filename);

            // Save only the file name
            $teams->image = $filename;
        }




        $teams->save();
        return redirect()->route('admin.team')->withSuccess('Team Member Updated !!!!!');
    }


    // Delete Users
    public function destroy($id)
    {
        $teams = Team::where('id', $id)->first();
        $teams->delete();
        return back()->withSuccess('Team Member Deleted !!!!!');

    }



    public function show($id)
    {
        $teams = Team::where('id', $id)->firstOrFail();
        return view('Frontened/show_team', compact('teams'));
    }

}
