<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Testimonial;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;


class TestimonialsController extends Controller
{
    //users view
    public function index(Request $request)
    {

        $search = $request->query('search');
        $testimonials = Testimonial::all();
        $testimonials = Testimonial::when($search, function ($query) use ($search) {
            $query->where('name', 'like', '%' . $search . '%' )
                  ->orWhere('id',  $search )
                  ->orWhere('title', 'like', '%' . $search . '%' )
                  ->orWhere('type', 'like', '%' . $search . '%');

                })
                ->orderByDesc('created_at')
                ->paginate(5);
        return view('Admin.Testimonial.testimoniallist', compact('testimonials'));
    }

    //add users view
    public function add()
    {
        return view('Admin.Testimonial.add_testimonial');
    }

    //Creat Users
    public function store(Request $request)
    {
        //validation
        $request->validate([

            'name'=> ['required'],

            'role'=> ['required'],
            'rating'=> ['required'],
            't_content'=> ['required'],
            'type'=> ['required'],
            'image'=> ['required'],

            'status'=> ['required'],


        ]);


              // Conditionally add 'video' field validation rule if type is '2' (Video)
               if ($request->type == 2) {
                $request->validate([

                    'video'=>['required'],


                ]);
              }


              $testimonials = new Testimonial;

              $testimonials->name = $request->name;
              $testimonials->title = $request->title;
              $testimonials->url = $request->url;
              $testimonials->role = $request->role;
              $testimonials->t_content = $request->t_content;
              $testimonials->rating = $request->rating;
              $testimonials->type = $request->type;
              $testimonials->video = $request->video;
              $testimonials->meta_tag = $request->meta_tag;
              $testimonials->meta_title = $request->meta_title;
              $testimonials->meta_description = $request->meta_description;
              $testimonials->status = $request->status;




                    if($request->hasFile('image'))
                      {
                          $file=$request->file('image');

                          $extension = $file->getClientOriginalExtension();
                          $filename= time().'.'.$extension;
                          $file->move('assets/img/testimonial',$filename);
                          // dd($extension); exit("test");
                          $testimonials->image=$filename;

                      }
                      $testimonials->save();
                      return back()->withSuccess('Testimonial Created !!!!!');

                  }

 //Edit users view
 public function edit($id)
{


     $testimonials =Testimonial::where('id', $id)->first();
     return view('Admin.Testimonial.edit_testimonial', ['testimonials' => $testimonials,]);

}

//Upadte Users
public function update(Request $request, $id)
{
   //validation
   $request->validate([
            'name'=> ['required'],

            'role'=> ['required'],
            'rating'=> ['required'],
            't_content'=> ['required'],
            'type'=> ['required'],

            'status'=> ['required'],




]);

            // Conditionally add 'video' field validation rule if type is '2' (Video)
            if ($request->type == 2) {
                $request->validate([
                    'video'=>['required'],
                ]);
              }






    $testimonials = Testimonial::where('id', $id)->first();

    $testimonials->name = $request->name;
    $testimonials->title = $request->title;
    $testimonials->url = $request->url;
    $testimonials->role = $request->role;
    $testimonials->t_content = $request->t_content;
    $testimonials->rating = $request->rating;
    $testimonials->type = $request->type;
    $testimonials->video = $request->video;
    $testimonials->meta_tag = $request->meta_tag;
    $testimonials->meta_title = $request->meta_title;
    $testimonials->meta_description = $request->meta_description;
    $testimonials->status = $request->status;




    if($request->hasFile('image'))
    {
        $destination = 'assets/img/testimonial'.$testimonials->image;
        if(File::exists($destination)){
            File::delete($destination);
        }
      $file=$request->file('image');

        $extension = $file->getClientOriginalExtension();
        // dd($extension); exit("test");
        $filename= time().'.'.$extension;
        $file->move('assets/img/testimonial',$filename);
        $testimonials->image=$filename;

    }

    $testimonials->save();
    return redirect('/admin/testimonials')->withSuccess('Testimonial Updated !!!!!');
}


 // Delete Users
 public function destroy($id)
 {
     $testimonials = Testimonial::where('id', $id)->first();
     $testimonials->delete();
     return back()->withSuccess('Testimonial Deleted !!!!!');

 }




}
