<?php

namespace App\Http\Controllers;

use App\Models\Comment;
use Carbon\Carbon;
use Illuminate\Http\Request;

class CommentController extends Controller

{



    public function store(Request $request)
    {
        $request->validate([
            'blog_id' => 'required',
            'name' => 'required',
            'email' => 'required|email',
            'content' => 'required|string',
        ]);

        $totalCommentsCount = Comment::count();

        $comment = new Comment();
        // Get total comment count
        $comment->blog_id = $request->blog_id;
        $comment->name = $request->name;
        $comment->email = $request->email;
        $comment->content = $request->content;

        $comment->save();

        // Get updated comment count
        $totalCommentsCount = Comment::count();

        $html = view('Frontened.blogs_comments', ['comments' => Comment::where('blog_id', $request->blog_id)->get()])->render();

        if ($request->ajax()) {
            return response()->json([
                'message' => 'Comment added successfully!',
                'commentpage' => $html,
                'totalCommentsCount' => $totalCommentsCount ]);
        }
    }


    // For comments reply
    public function reply(Request $request, $id)
    {
        $request->validate([
            'blog_id' => 'required',
            'name' => 'required',
            'email' => 'required|email',
            'content' => 'required|string',
        ]);

        $reply = new Comment();
        $reply->blog_id = $request->input('blog_id');
        $reply->comment_id = $id;
        $reply->name = $request->input('name');
        $reply->email = $request->input('email');
        $reply->content = $request->input('content');
        $reply->save();

        $html = view('Frontened.comments_reply')->render();

        if ($request->ajax()) {
            return response()->json(['message' => 'Reply added successfully!', 'reply' => $html]);
        }

        return back()->with('success', 'Reply added successfully!');
    }
}
