<?php

namespace App\Providers;

use Illuminate\Routing\UrlGenerator;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Blade;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Facades\URL;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */


    public function register(): void
    {
      
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(UrlGenerator $url): void
    {

       if (env('APP_ENV') === 'production') {
		URL::forceScheme('https');
        }


        Blade::directive('navactive', function ($route) {
            return "<?php echo Request::is($route) ? 'active' : ''; ?>";
        });

        Paginator::useBootstrap();
    }
}
