<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('courses', function (Blueprint $table) {
            $table->id();
            $table->string('code',50); 
            $table->string('name',100); 
            $table->string('title',255); 
            $table->text('short_description'); 
            $table->string('category_id',100); 
            $table->string('meta_tag',255)->nullable();
            $table->string('meta_title',255)->nullable();
            $table->text('meta_description')->nullable();
            $table->string('image',100); 
            $table->string('url',255); 
            $table->text('description'); 
            $table->text('overview'); 
            $table->text('eligibility'); 
            $table->text('certification'); 
            $table->text('faq'); 
            $table->tinyInteger('c_status')->default('0')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('courses');
    }
};
