<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('reviews', function (Blueprint $table) {
            $table->id();
            $table->string('user'); // User field
            $table->text('bio')->nullable(); // Bio field
            $table->integer('rating')->unsigned(); // Rating field
            $table->text('review')->nullable(); // Review field
            $table->boolean('visible')->default(true); // Select Visible field
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('reviews');
    }
};
