<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('slug')->unique();
            $table->integer('price');
            $table->string('image', 255)->nullable();
            $table->string('status')->default(true);
            $table->string('icon')->nullable();
            $table->text('short_description');
            $table->text('description')->nullable();
            $table->text('highlight')->nullable();
            $table->string('benefits_title')->nullable();
            $table->text('benefit_icon')->nullable();
            $table->text('benefit_title')->nullable();
            $table->text('benefit_description')->nullable();
            $table->string('process_title')->nullable();
            $table->text('proces_title')->nullable();
            $table->text('proces_description')->nullable();
            $table->string('chooses_title')->nullable();
            $table->string('meta_tag')->nullable();
            $table->text('choose_title')->nullable();
            $table->string('meta_title')->nullable();
            $table->text('meta_description')->nullable();
            $table->timestamps();

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
