<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pages', function (Blueprint $table) {
            $table->id();
            $table->string('name',150);
            $table->string('slug',150)->unique();
            $table->string('title',150);
            $table->string('url',100);
            $table->text('short_description');
            $table->text('content');
            $table->string('form',100)->nullable();
            $table->string('image',150);
            $table->string('meta_tag',255);
            $table->string('meta_title',255);
            $table->string('meta_description');
            $table->tinyInteger('status')->default('0')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pages');
    }
};
