<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('testimonials', function (Blueprint $table) {
            $table->id();
            $table->string('name',150);
            $table->string('title',150)->nullable();
            $table->string('url',255)->nullable();
            $table->string('role',150);
            $table->string('rating',150);
            $table->text('t_content');
            $table->string('type');
            $table->string('video',255)->nullable();
            $table->string('image',155);
            $table->string('meta_tag',255)->nullable();
            $table->string('meta_title',255)->nullable();
            $table->string('meta_description')->nullable();
            $table->tinyInteger('status')->default('0')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('testimonials');
    }
};
