<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('news', function (Blueprint $table) {
            $table->id();
            $table->string('name',150);
            $table->string('title',150);
            $table->string('url',100);
            $table->text('meta_description');
            $table->text('content');
            $table->string('media',255);
            $table->string('source',255);
            $table->date('publication_date')->nullable();
            $table->string('event')->nullable();
            $table->string('image',150);
            $table->string('meta_tag',255);
            $table->string('meta_title',255);
            $table->tinyInteger('status')->default('0')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('news');
    }
};
