<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('services', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('slug')->unique();
            $table->string('title');
            $table->text('short_description');
            $table->string('icon');
            $table->text('description')->nullable();
            $table->string('benefits_title')->nullable();
            $table->string('process_title')->nullable();
            $table->string('cards_title')->nullable();
            $table->text('cards_description')->nullable();
            $table->string('chooses_title')->nullable();
            $table->string('meta_tag')->nullable();
            $table->string('meta_title')->nullable();
            $table->text('meta_description')->nullable();
            $table->boolean('status');

            // Columns to store JSON data
            $table->text('benefit_icon')->nullable();
            $table->text('benefit_title')->nullable();
            $table->text('benefit_description')->nullable();
            $table->text('proces_title')->nullable();
            $table->text('proces_description')->nullable();
            $table->text('card_title')->nullable();
            $table->text('card_description')->nullable();
            $table->text('choose_title')->nullable();
            $table->text('choose_description')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('services');
    }
};
