<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('industry_solutions', function (Blueprint $table) {
            $table->id();
            $table->string('name')->unique();
            $table->string('slug')->unique();
            $table->string('title');
            $table->text('short_description');
            $table->string('icon');
            $table->text('description')->nullable();
            $table->string('status')->default(1);
            $table->text('expertise_content')->nullable();
            $table->text('expertise_title')->nullable();
            $table->text('expertise_slug')->nullable();
            $table->text('expertise_description')->nullable();
            $table->text('card_content')->nullable();
            $table->string('meta_tag')->nullable();
            $table->string('meta_title')->nullable();
            $table->string('meta_description')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('industry_solutions');
    }
};
