<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('abouts', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->text('short_description')->nullable();
            $table->text('content')->nullable();
            $table->string('banner')->nullable();
            $table->string('signature')->nullable();
            $table->boolean('status')->default(0); // Make sure boolean and default value
            $table->string('link')->nullable();
            // New fields based on additional form elements
            $table->integer('experience')->nullable(); // Years of Experience
            $table->integer('cumulative_experience')->nullable(); // Years of Cumulative Experience
            $table->integer('trained')->nullable(); // Personnels Trained
            $table->integer('businesses_catered')->nullable(); // Businesses Catered
            $table->string('meta_tag')->nullable();
            $table->string('meta_title')->nullable();
            $table->text('meta_description')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('abouts');
    }
};
