@extends('Admin.layout.layout')

@section('admin_content')
    @if (Session::has('success'))
        <div class="alert alert-success alert-block">
            <strong>{{ Session::get('success') }}</strong>
        </div>
    @endif

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Edit About</h1>
            </div>
        </div>

        <!-- Card START -->
        <div class="card bg-transparent border">

            <form action="{{ route('admin.about.update') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <section class="content">
                    <!-- Default box -->
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="row">

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label class="form-label" for="title">Title</label>
                                                    <input type="text" name="title" id="title"class="form-control"
                                                        placeholder="title" value="{{ old('title', $abouts->title) }}">
                                                    <span class="text-danger">
                                                        @error('title')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="status">Status</label>
                                                    <select class="form-select" name="status" id="status"
                                                        aria-label="Default select example">
                                                        <option value="">Select Status</option>
                                                        <option value="1"{{ $abouts->status == 1 ? 'selected' : '' }}>
                                                            Active</option>
                                                        <option value="0"{{ $abouts->status == 0 ? 'selected' : '' }}>
                                                            Dactive</option>
                                                    </select>
                                                    <span class="text-danger">
                                                        @error('status')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label class="form-label" for="customFile">First Image</label>
                                                    <input type="file" name="banner" class="form-control"
                                                        id="banner" />
                                                    @if ($abouts->banner)
                                                        <p>Current Image: {{ $abouts->banner }}</p>
                                                        <img src="{{ asset('assets/img/about/' . $abouts->banner) }}"
                                                            width="100px" alt="">
                                                        <input type="hidden" name="old_banner"
                                                            value="{{ $abouts->banner }}">
                                                    @else
                                                        <p>No current image</p>
                                                    @endif
                                                    <span class="text-danger">
                                                        @error('banner')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label class="form-label" for="customFile">Second Image</label>
                                                    <input type="file" name="signature" class="form-control"
                                                        id="signature" />
                                                    @if ($abouts->signature)
                                                        <p>Current Image: {{ $abouts->signature }}</p>
                                                        <img src="assets/img/about/{{ $abouts->signature }}" width="100px"
                                                            alt="">
                                                        <input type="hidden" name="old_signature"
                                                            value="{{ $abouts->signature }}">
                                                    @else
                                                        <p>No current image</p>
                                                    @endif
                                                    <span class="text-danger">
                                                        @error('signature')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="mb-3">
                                                    <label for="short_description">Frist Description</label>
                                                    <textarea name="short_description" id="short_description" class="form-control tinymce-editor">{{ old('short_description', $abouts->short_description) }}</textarea>
                                                    @error('short_description')
                                                        <span class="text-danger">{{ $message }}</span>
                                                    @enderror
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="mb-3">
                                                    <label for="content">Second Description</label>
                                                    <textarea name="content" class="form-control tinymce-editor">{!! $abouts->content !!}</textarea>
                                                    @error('content')
                                                        <span class="text-danger">{{ $message }}</span>
                                                    @enderror
                                                </div>
                                            </div>

                                            {{-- <div class="col-md-12">
                                                <div class="mb-3">
                                                    <label for="link">Your Video Link - Button</label>
                                                    <input type="text" name="link" id="link"class="form-control"
                                                        placeholder="link" value="{{ old('link', $abouts->link) }}">
                                                    <span class="text-danger">
                                                        @error('link')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div> --}}

                                            {{-- <h5 class="pt-4">Your Experience<span class="text-danger">*</span></h5>
                                            <hr> --}}

                                            {{-- Years of Experience --}}
                                            {{-- <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label class="form-label" for="experience">Years of Experience</label>
                                                    <input type="number" name="experience"
                                                        id="experience"class="form-control" placeholder="experience"
                                                        value="{{ old('experience', $abouts->experience) }}">
                                                    <span class="text-danger">
                                                        @error('experience')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div> --}}

                                            {{-- Years of Cumulative Experience --}}
                                            {{-- <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label class="form-label" for="cumulative_experience">Years of
                                                        Cumulative Experience</label>
                                                    <input type="number" name="cumulative_experience"
                                                        id="cumulative_experience"class="form-control"
                                                        placeholder="cumulative_experience"
                                                        value="{{ old('cumulative_experience', $abouts->cumulative_experience) }}">
                                                    <span class="text-danger">
                                                        @error('cumulative_experience')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div> --}}

                                            {{-- Personnels Trained --}}
                                            {{-- <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label class="form-label" for="trained">Personnels Trained</label>
                                                    <input type="number" name="trained"
                                                        id="trained"class="form-control" placeholder="trained"
                                                        value="{{ old('trained', $abouts->trained) }}">
                                                    <span class="text-danger">
                                                        @error('trained')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div> --}}

                                            {{-- Personnels Trained --}}
                                            {{-- <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label class="form-label" for="businesses_catered">Businesses
                                                        Catered</label>
                                                    <input type="number" name="businesses_catered"
                                                        id="businesses_catered"class="form-control"
                                                        placeholder="businesses_catered"
                                                        value="{{ old('businesses_catered', $abouts->businesses_catered) }}">
                                                    <span class="text-danger">
                                                        @error('businesses_catered')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div> --}}

                                            <h5 class="pt-4">Meta Tage<span class="text-danger">*</span></h5>
                                            <hr>
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="meta_tag">Meta Tag</label>
                                                    <input type="text" name="meta_tag" id="meta_tag"class="form-control"
                                                        placeholder="meta tag"
                                                        value="{{ old('meta_tag', $abouts->meta_tag) }}">
                                                    <span class="text-danger">
                                                        @error('meta_tag')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="meta_title">Meta Title </label>
                                                    <input type="text" name="meta_title"
                                                        id="meta_title"class="form-control" placeholder="meta title"
                                                        value="{{ old('meta_title', $abouts->meta_title) }}">
                                                    <span class="text-danger">
                                                        @error('meta_title')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="mb-3">
                                                    <label for="meta_description">Meta Description</label>
                                                    <textarea name="meta_description" id="meta_description"class="form-control" placeholder="meta description">{{ old('meta_description', $abouts->meta_description) }}
                                                </textarea>
                                                    <span class="text-danger">
                                                        @error('meta_description')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="pb-5 pt-3 text-center">
                        &nbsp;&nbsp;&nbsp;
                        <button class="btn btn-primary" type="submit">Update</button>
                    </div>
                </section>
            </form>
        </div>
    </div>
@endsection

@section('titel')
    About/Edit
@endsection
