@extends('Admin.layout.layout')

@section('admin_content')
    @if (Session::has('success'))
        <div class="alert alert-success alert-block">
            <strong>{{ Session::get('success') }}</strong>
        </div>
    @endif

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Add Banner</h1>
                <a href="{{ route('admin.banners') }}" class="btn btn-sm btn-primary mb-0">Back</a>
            </div>
        </div>


        <!-- Card START -->
        <div class="card bg-transparent border">

            <form action="{{ route('admin.banner.create') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <section class="content">
                    <!-- Default box -->
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="row">


                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="title">Title</label>
                                                    <input type="text" name="title" id="title"class="form-control"
                                                        placeholder="title" value="{{ old('title') }}">
                                                    <span class="text-danger">
                                                        @error('title')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>
                                            
                                            <div class="col-md-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="customFile">Banner</label>
                                                <input type="file" name="banner" class="form-control" id="banner"
                                                    placeholder="banner" value="{{ old('banner') }}" />
                                                <span class="text-danger">
                                                    @error('banner')
                                                        {{ $message }}
                                                    @enderror
                                                </span>
                                            </div>
                                        </div>

                                            <div class="col-md-12">
                                                <div class="mb-3">
                                                    <label for="short_description">Short Description</label>
                                                    <textarea name="short_description" id="short_description" class="form-control tinymce-editor">{{ old('short_description') }}</textarea>
                                                    @error('short_description')
                                                        <span class="text-danger">{{ $message }}</span>
                                                    @enderror
                                                </div>
                                            </div>
                                            
                                            

                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label for="button_1">Button 1</label>
                                                <input type="text" name="button_1"
                                                    id="button_1"class="form-control" placeholder="link"
                                                    value="{{ old('button_1') }}">
                                                <span class="text-danger">
                                                    @error('button_1')
                                                        {{ $message }}
                                                    @enderror
                                                </span>
                                            </div>
                                        </div>


                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label for="button_2">Button 2</label>
                                                <input type="text" name="button_2"
                                                    id="button_2"class="form-control" placeholder="link"
                                                    value="{{ old('button_2') }}">
                                                <span class="text-danger">
                                                    @error('button_2')
                                                        {{ $message }}
                                                    @enderror
                                                </span>
                                            </div>
                                        </div>

                                        
                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label for="meta_tag">Meta Tag</label>
                                                <input type="text" name="meta_tag" id="meta_tag"class="form-control"
                                                    placeholder="meta tag" value="{{ old('meta_tag') }}">
                                                <span class="text-danger">
                                                    @error('meta_tag')
                                                        {{ $message }}
                                                    @enderror
                                                </span>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label for="meta_title">Meta Title </label>
                                                <input type="text" name="meta_title"
                                                    id="meta_title"class="form-control" placeholder="meta title"
                                                    value="{{ old('meta_title') }}">
                                                <span class="text-danger">
                                                    @error('meta_title')
                                                        {{ $message }}
                                                    @enderror
                                                </span>
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="mb-3">
                                                <label for="meta_description">Meta Description</label>
                                                <textarea name="meta_description"
                                                    id="meta_description"class="form-control"
                                                    placeholder="meta description">{{ old('meta_description') }}</textarea>
                                                    <span class="text-danger">
                                                        @error('meta_description')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>
                                                    

                                            
                                            
                                            
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="status">Status</label>
                                                    <select class="form-select" name="status" id="status"
                                                        aria-label="Default select example">
                                                        <option value="">Select Status</option>
                                                        <option value="1">Active</option>
                                                        <option value="0">Dactive</option>
                                                    </select>
                                                    <span class="text-danger">
                                                        @error('status')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="pb-5 pt-3 text-center">
                        &nbsp;&nbsp;&nbsp;
                        <button class="btn btn-primary" type="submit">Add</button>
                        <a href="{{ route('admin.banners') }}" class="btn btn-outline-dark ml-3">Cancel</a>
                    </div>
                </section>
            </form>
        </div>
        <!-- /.card -->
    </div>
    <!-- Card END -->
    @endsection
    
    @section('titel')
        Banner/Add
    @endsection


                                            
                                           


                                           

                                            

             



                                           

                                           

                                            

                                          
                                          

