@extends('Admin.layout.layout')

@section('admin_content')
    @if (Session::has('success'))
        <div class="alert alert-success alert-block">
            <strong>{{ Session::get('success') }}</strong>
        </div>
    @endif

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Banner</h1>
                <a href="{{ route('admin.banner.add') }}" class="btn btn-sm btn-primary mb-0">Add Banner</a>
            </div>
        </div>


        <!-- Card START -->
        <div class="card bg-transparent border">

            <!-- Card header START -->
            <div class="card-header bg-light border-bottom">
                <!-- Search and select START -->
                <div class="row g-3 align-items-center justify-content-between">
                    <!-- Search bar -->
                    <div class="col-md-3">
                        <form action="{{ route('admin.banners') }}" method="GET" class="rounded position-relative">
                            <input name="search" class="form-control bg-body" type="search" placeholder="Search" aria-label="Search" value="{{ request()->get('search') }}">
                            <button class="bg-transparent p-2 position-absolute top-50 end-0 translate-middle-y border-0 text-primary-hover text-reset" type="submit">
                                <i class="fas fa-search fs-6"></i>
                            </button>
                        </form>
                    </div>

                    <!-- Select option -->
                    <div class="col-md-3">
                        <!-- Short by filter -->
                        <form>
                            <select class="form-select js-choice border-0 z-index-9" aria-label=".form-select-sm">
                                <option value="">Sort by</option>
                                <option>Newest</option>
                                <option>Oldest</option>
                                <option>Accepted</option>
                                <option>Rejected</option>
                            </select>
                        </form>
                    </div>
                </div>
                <!-- Search and select END -->
            </div>
            <!-- Card header END -->

            <!-- Card body START -->
            <div class="card-body">
                <!-- Course table START -->
                <div class="table-responsive border-0 rounded-3">
                    <!-- Table START -->
                    <table class="table table-dark-gray align-middle p-4 mb-0 table-hover">
                        <!-- Table head -->
                        <thead>
                            <tr>
                                <th scope="col" class="border-0 rounded-start">Sr.No</th>
                                <th scope="col" class="border-0">Title</th>
                                <th scope="col" class="border-0">Short Description</th>
                                <th scope="col" class="border-0">Banner</th>
                                <th scope="col" class="border-0">Button 1</th>
                                <th scope="col" class="border-0">Button 2</th>
                                <th scope="col" class="border-0">Status</th>
                                <th scope="col" class="border-0 text-center rounded-end">Action</th>
                                


                            </tr>
                        </thead>

                        <!-- Table body START -->
                        <tbody>
                            @foreach ($banners as $data)
                                <!-- Table row -->
                                <tr>
                                    <td>{{ $data->id }}</td>

                                    <!-- Table data -->
                                    <td>
                                        <div class="d-flex align-items-center">

                                            <div class="ms-2">
                                                <h6 class="mb-0 fw-light">{{ $data->title }}</h6>
                                            </div>
                                        </div>
                                    </td>
                                    <td>{{ $data->short_description }}</td>
                                   
                                    <td><img src="{{ asset('assets/img/banner/' . $data->banner) }}" width="100px"
                                            alt=" "></td>

                                    <td>{{ $data->button_1 }}</td>  
                                    <td>{{ $data->button_2 }}</td>      

                                    <td class="text-sm">
                                        @if ($data->status == '1')
                                            <span class="badge text-bg-primary">Active</span>
                                        @else
                                            <span class="badge text-bg-orange">Dactive</span>
                                        @endif
                                    </td>

                                    <!-- Table data -->
                                    <td class="text-center">
                                        <a href="{{ route('admin.banner.edit',$data->id ) }}"
                                            class="btn btn-success-soft btn-round me-1 mb-1 mb-md-0"
                                            data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                            data-bs-original-title="Edit">
                                            <i class="bi bi-pencil-square"></i>
                                        </a>

                                       <a href="javascript:void(0);" class="btn btn-danger-soft btn-round me-1 mb-1 mb-md-0"
                                          onclick="deleteConfirmation('{{ route('admin.banner.delete', $data->id) }}')"
                                          data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                          data-bs-original-title="Delete">
                                          <i class="bi bi-trash"></i>
                                      </a>
                                                        
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                        <!-- Table body END -->
                    </table>
                    <!-- Table END -->
                </div>
                <!-- Course table END -->
            </div>
            <!-- Card body END -->

            <!-- Card footer START -->
            <div class="card-footer bg-transparent pt-0">
               <!-- Pagination START -->
               <div class="d-sm-flex justify-content-sm-between align-items-sm-center">
                
                <!-- Pagination -->
               
                    {{-- {{ $blogs->links() }} --}}
                
            <!-- Pagination END -->
            </div>
            <!-- Card footer END -->
        </div>
        <!-- Card END -->
    </div>


    <!--- Modal -->
@endsection

@section('titel')
Course
@endsection