@extends('Admin.layout.layout')

@section('admin_content')
    @if (Session::has('success'))
        <div class="alert alert-success alert-block">
            <strong>{{ Session::get('success') }}</strong>
        </div>
    @endif

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Contact Request</h1>
                <a href="{{ route('admin.contact.request') }}" class="btn btn-sm btn-primary mb-0">Back</a>
            </div>
        </div>


        <!-- Card START -->
        <div class="card bg-transparent border">

            <form action="{{ route('contact.request.create') }}" method="POST">
                @csrf
                <section class="content">
                    <!-- Default box -->
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="row">

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="name">Name</label>
                                                    <input type="text" name="name" id="name"class="form-control"
                                                        placeholder="name" value="{{ old('name') }}">
                                                    <span class="text-danger">
                                                        @error('name')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="email">Email</label>
                                                    <input type="text" name="email" id="email"class="form-control"
                                                        placeholder="email" value="{{ old('email') }}">
                                                    <span class="text-danger">
                                                        @error('email')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="phone">Phone </label>
                                                    <input type="tel" name="phone" id="phone"class="form-control"
                                                        placeholder="phone" value="{{ old('phone') }}">
                                                    <span class="text-danger">
                                                        @error('phone')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="subject">Subject</label>
                                                    <input type="text" name="subject" id="subject"class="form-control"
                                                        placeholder="subject" value="{{ old('subject') }}">
                                                    <span class="text-danger">
                                                        @error('subject')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="link">Site</label>
                                                    <select class="form-select" name="site" id="site"
                                                        aria-label="Default select example">
                                                        <option value="">Select Site</option>
                                                        <option value="1">Genesys</option>
                                                        <option value="2">Gazelles Management Consultancy</option>
                                                        <option value="3">Proctor One</option>
                                                    </select>
                                                    <span class="text-danger">
                                                        @error('site')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="mb-3">
                                                    <label for="message">Message</label>
                                                    <textarea name="message" id="message" class="form-control tinymce-editor">{{ old('message') }}</textarea>
                                                    @error('message')
                                                        <span class="text-danger">{{ $message }}</span>
                                                    @enderror
                                                </div>
                                            </div>





                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="pb-5 pt-3 text-center">
                        &nbsp;&nbsp;&nbsp;
                        <button class="btn btn-primary" type="submit">Add</button>
                        <a href="{{ route('admin.contact.request') }}" class="btn btn-outline-dark ml-3">Cancel</a>
                    </div>
        </div>
        <!-- /.card -->
        </section>
     </form>
    </div>
    <!-- Card END -->
    </div>
@endsection

@section('titel')
Contact Request/Add
@endsection
