@extends('Admin.layout.layout')

@section('admin_content')
    @if (Session::has('success'))
        <div class="alert alert-success alert-block">
            <strong>{{ Session::get('success') }}</strong>
        </div>
    @endif

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Contact Request</h1>
                
            </div>
        </div>


        <!-- Card START -->
        <div class="card bg-transparent border">

            <!-- Card header START -->
            <div class="card-header bg-light border-bottom">
                <!-- Search and select START -->
                <div class="row g-3 align-items-center justify-content-between">
                       <!-- Search bar -->
                       <div class="col-md-3">
                        <form action="{{ route('admin.contact.request') }}" method="GET" class="rounded position-relative">
                            <input name="search" class="form-control bg-body" type="search" placeholder="Search" aria-label="Search" value="{{ request()->get('search') }}">
                            <button class="bg-transparent p-2 position-absolute top-50 end-0 translate-middle-y border-0 text-primary-hover text-reset" type="submit">
                                <i class="fas fa-search fs-6"></i>
                            </button>
                        </form>
                    </div>

                    <!-- Select option -->
                    <div class="col-md-3">
                        <!-- Short by filter -->
                        <form>
                            <select class="form-select js-choice border-0 z-index-9" aria-label=".form-select-sm">
                                <option value="">Sort by</option>
                                <option>Newest</option>
                                <option>Oldest</option>
                                <option>Accepted</option>
                                <option>Rejected</option>
                            </select>
                        </form>
                    </div>
                </div>
                <!-- Search and select END -->
            </div>
            <!-- Card header END -->

            <!-- Card body START -->
            <div class="card-body">
                <!-- Course table START -->
                <div class="table-responsive border-0 rounded-3">
                    <!-- Table START -->
                    <table class="table table-dark-gray align-middle p-4 mb-0 table-hover">
                        <!-- Table head -->
                        <thead>
                            <tr>
                                <th scope="col" class="border-0 rounded-start">Sr.No</th>
                                <th scope="col" class="border-0">Name</th>
                                <th scope="col" class="border-0">Email</th>
                                {{-- <th scope="col" class="border-0">Phone</th> --}}
                                <th scope="col" class="border-0">Subject</th>
                                {{-- <th scope="col" class="border-0">Site</th> --}}
                                <th scope="col" class="border-0">Message</th>
                                <th scope="col" class="border-0">Date</th>
                                <th scope="col" class="border-0 text-center rounded-end">Action</th>



                            </tr>
                        </thead>

                        <!-- Table body START -->
                        <tbody>
                            @foreach ($ContactRequest as $data)
                                <!-- Table row -->
                                <tr>
                                    <td>{{ $data->id }}</td>

                                    <!-- Table data -->
                                    <td>
                                        <div>

                                            <div class="ms-2">
                                                <h6 class="mb-0 fw-light">{{ $data->name }}</h6>
                                            </div>
                                        </div>
                                    </td>
                                    <td>{{ $data->email }}</td>
                                    {{-- <td>{{ $data->phone }}</td> --}}
                                    <td>{{ $data->subject }}</td>
                                    {{-- <td class="text-sm">
                                        @if ($data->site == '1')
                                            <span>Genesys</span>
                                        @elseif($data->site == '2')
                                            <span>Gazelles Management Consultancy</span>
                                        @else
                                             <span>Proctor One</span>
                                        @endif
                                    </td> --}}
                                    <td>{!! $data->message !!}</td>
                                    <td>{{ $data->created_at->format('d/M/Y') }}</td>




                                    <!-- Table data -->
                                    <td class="text-center">
                                       

                                        <a href="javascript:void(0);" class="btn btn-danger-soft btn-round me-1 mb-1 mb-md-0"
                                        onclick="deleteConfirmation('{{ route('admin.contact.request.delete', $data->id) }}')"
                                        data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                        data-bs-original-title="Delete">
                                        <i class="bi bi-trash"></i>
                                    </a>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                        <!-- Table body END -->
                    </table>
                    <!-- Table END -->
                </div>
                <!-- Course table END -->
            </div>
            <!-- Card body END -->

            <!-- Card footer START -->
            <div class="card-footer bg-transparent pt-0">
                <!-- Pagination START -->
                
                  {{$ContactRequest->links()}}
                

                <!-- Pagination END -->
            </div>
            <!-- Card footer END -->
        </div>
        <!-- Card END -->
    </div>


    <!--- Modal -->
@endsection

@section('titel')
Contact Request
@endsection