@extends('Admin.layout.layout')

@section('admin_content')
    @if (Session::has('success'))
        <div class="alert alert-success alert-block">
            <strong>{{ Session::get('success') }}</strong>
        </div>
    @endif

    <div class="page-content-wrapper border">
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Add Faq</h1>
                <a href="{{ route('admin.faqs') }}" class="btn btn-sm btn-primary mb-0">Back</a>
            </div>
        </div>

        <div class="card bg-transparent border">
            <form action="{{ route('admin.faqs.create') }}" method="POST" aria-labelledby="faqs-form">
                @csrf
                <section class="content" id="faqs-form">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="row">

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="faq_question" class="form-label">Faq Question</label>
                                                    <input type="text" name="faq_question" id="faq_question" class="form-control"
                                                        placeholder="Faq Question" value="{{ old('faq_question') }}"
                                                        aria-required="true">
                                                    @error('faq_question')
                                                        <div class="text-danger">{{ $message }}</div>
                                                    @enderror
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="Status" class="form-label">Status</label>
                                                    <select name="Status" id="Status" class="form-control">
                                                        <option value="1"
                                                            {{ old('Status') == '1' ? 'selected' : '' }}>Active
                                                        </option>
                                                        <option value="0"
                                                            {{ old('Status') == '0' ? 'selected' : '' }}>Inactive
                                                        </option>
                                                    </select>
                                                    @error('Status')
                                                        <div class="text-danger">{{ $message }}</div>
                                                    @enderror
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="mb-3">
                                                    <label for="faq_answer" class="form-label">Faq Answer</label>
                                                    <textarea name="faq_answer" id="faq_answer" class="form-control" placeholder="Faq Answer">{{ old('faq_answer') }}</textarea>
                                                    @error('faq_answer')
                                                        <div class="text-danger">{{ $message }}</div>
                                                    @enderror
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="pb-5 pt-3 text-center">
                        <button class="btn btn-primary" type="submit">Add</button>
                        <a href="{{ route('admin.faqs') }}" class="btn btn-outline-dark ml-3">Cancel</a>
                    </div>
                </section>
            </form>
        </div>
    </div>
@endsection

@section('title')
    Faqs/Add
@endsection
