@extends('Admin.layout.layout')

@section('admin_content')
    @if (Session::has('success'))
        <div class="alert alert-success alert-block">
            <strong>{{ Session::get('success') }}</strong>
        </div>
    @endif

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Pages</h1>
                <a href="{{ route('admin.pages.add') }}" class="btn btn-sm btn-primary mb-0">Add Page</a>
            </div>
        </div>


        <!-- Card START -->
        <div class="card bg-transparent border">

            <!-- Card header START -->
            <div class="card-header bg-light border-bottom">
                <!-- Search and select START -->
                <div class="row g-3 align-items-center justify-content-between">
                    <!-- Search bar -->
                    <div class="col-md-8">
                        <form class="rounded position-relative">
                            <input class="form-control bg-body" type="search" placeholder="Search" aria-label="Search">
                            <button
                                class="bg-transparent p-2 position-absolute top-50 end-0 translate-middle-y border-0 text-primary-hover text-reset"
                                type="submit">
                                <i class="fas fa-search fs-6 "></i>
                            </button>
                        </form>
                    </div>

                    <!-- Select option -->
                    <div class="col-md-3">
                        <!-- Short by filter -->
                        <form>
                            <select class="form-select js-choice border-0 z-index-9" aria-label=".form-select-sm">
                                <option value="">Sort by</option>
                                <option>Newest</option>
                                <option>Oldest</option>
                                <option>Published</option>
                                <option>Draft</option>
                            </select>
                        </form>
                    </div>
                </div>
                <!-- Search and select END -->
            </div>
            <!-- Card header END -->

            <!-- Card body START -->
            <div class="card-body">
                <!-- Course table START -->
                <div class="table-responsive border-0 rounded-3">
                    <!-- Table START -->
                    <table class="table table-dark-gray align-middle p-4 mb-0 table-hover">
                        <!-- Table head -->
                        <thead>
                            <tr>
                                <th scope="col" class="border-0 rounded-start">Sr.No</th>
                                <th scope="col" class="border-0">Page Name</th>
                                {{-- <th scope="col" class="border-0">Slug</th> --}}
                                <th scope="col" class="border-0">Title</th>
                                <th scope="col" class="border-0">Status</th>
                                {{-- <th scope="col" class="border-0">Date</th> --}}
                                <th scope="col" class="border-0 text-center rounded-end">Action</th>
                            </tr>
                        </thead>

                        <!-- Table body START -->
                        <tbody>
                            @foreach ($pages as $data)
                                <!-- Table row -->
                                <tr>
                                    <td>{{ $loop->iteration }}</td>

                                    <!-- Table data -->
                                    <td>
                                        <div>
                                            <div class="ms-2">
                                                <h6 class="mb-0 fw-light">{{ $data->name }}</h6>
                                            </div>
                                        </div>
                                    </td>
                                    <td>
                                        <div>
                                            <div class="ms-2">
                                                <h6 class="mb-0 fw-light">{{ $data->title }}</h6>
                                            </div>
                                        </div>
                                    </td>

                                    {{-- <td>{{ $data->slug }}</td> --}}
                                    {{-- <td>{!! Str::limit($data->content, 50) !!}</td> --}}

                                    <td class="text-sm">
                                        @if ($data->status == '1')
                                            <span class="badge text-bg-primary">Active</span>
                                        @else
                                            <span class="badge text-bg-danger">dactive</span>
                                        @endif
                                    </td>
                                    {{-- <td>{{ $data->created_at->format('d/M/Y') }}</td> --}}

                                    <!-- Table data -->
                                    <td class="text-center">
                                        <a href="{{ route('admin.pages.edit',$data->id ) }}"
                                            class="btn btn-success-soft btn-round me-1 mb-1 mb-md-0"
                                            data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                            data-bs-original-title="Edit">
                                            <i class="bi bi-pencil-square"></i>
                                        </a>

                                       <a href="javascript:void(0);" class="btn btn-danger-soft btn-round me-1 mb-1 mb-md-0"
                                          onclick="deleteConfirmation('{{ route('admin.pages.delete', $data->id) }}')"
                                          data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                          data-bs-original-title="Delete">
                                          <i class="bi bi-trash"></i>
                                      </a>

                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                        <!-- Table body END -->
                    </table>
                    <!-- Table END -->
                </div>
                <!-- Course table END -->
            </div>
            <!-- Card body END -->


            <!-- Card footer END -->
        </div>
        <!-- Card END -->
    </div>
@endsection

@section('titel')
    Admin/Pages
@endsection
