@extends('Admin.layout.layout')

@section('admin_content')
    @if (Session::has('success'))
        <div class="alert alert-success alert-block">
            <strong>{{ Session::get('success') }}</strong>
        </div>
    @endif

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Add Review</h1>
                <a href="{{ route('admin.reviews.index') }}" class="btn btn-sm btn-primary mb-0">Back</a>
            </div>
        </div>


        <!-- Card START -->
        <div class="card bg-transparent ">
            <form method="POST" action="{{ route('admin.reviews.store') }}">
                @csrf

                <section class="content">
                    <!-- Default box -->
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="row">

                                            <div class="col-md-6">
                                                <div class="col-mb-3">
                                                <label for="user">User</label>
                                                <select class="form-control" id="user" name="user" >
                                                    <option value="">Select a user</option>
                        
                                                    @foreach ($users as $user)
                                                        <option value="{{ $user->id }}">{{ $user->email }}</option>
                                                    @endforeach
                        
                                                </select>
                                                <span class="text-danger">
                                                    @error('user')
                                                        {{ $message }}
                                                    @enderror
                                                </span>
                                                </div>
                                            </div>
                        
                                            <div class="col-md-6">
                                                <div class="col-mb-3">
                                                <label for="rating">Rating</label>
                                                <select class="form-control" id="rating" name="rating" required>
                                                    <option value="1" {{ old('visible') == '1' ? 'selected' : '' }}>1 Star </option>
                                                    <option value="2" {{ old('visible') == '2' ? 'selected' : '' }}>2 Star</option>
                                                    <option value="3" {{ old('visible') == '3' ? 'selected' : '' }}>3 Star</option>
                                                    <option value="4" {{ old('visible') == '4' ? 'selected' : '' }}>4 Star</option>
                                                    <option value="5" {{ old('visible') == '5' ? 'selected' : '' }}>5 Star</option>
                                                </select>
                                                </div>
                                            </div>
                            
                        
                        
                        
                                            <div class="col-md-12">
                                                <div class="col-mb-3">
                                                <label for="bio">Bio</label>
                                                <textarea class="form-control" id="bio" name="bio">{{ old('bio') }}</textarea>
                                                <span class="text-danger">
                                                    @error('bio')
                                                        {{ $message }}
                                                    @enderror
                                                </span>
                                                </div>
                                            </div>
                        
                                            <div class="col-md-12">
                                                <div class="col-mb-3">
                                                <label for="review">Review</label>
                                                <textarea class="form-control" id="review" name="review">{{ old('review') }}</textarea>
                                                <span class="text-danger">
                                                    @error('review')
                                                        {{ $message }}
                                                    @enderror
                                                </span>
                                            </div>
                                            </div>
                        
                                            
                                            <div class="col-md-12">
                                                <div class="col-mb-3">
                                                <label for="visible">Visible</label>
                                                <select class="form-control" id="visible" name="visible" required>
                                                    <option value="1" {{ old('visible') == '1' ? 'selected' : '' }}>Yes</option>
                                                    <option value="0" {{ old('visible') == '0' ? 'selected' : '' }}>No</option>
                                                </select>
                                            </div>
                                            </div>

                                            


                                             
                                                            
                                                      

                                                   

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="pb-5 pt-3 text-center">
                        &nbsp;&nbsp;&nbsp;
                        <button class="btn btn-primary" type="submit">Add</button>
                        <a href="{{ route('admin.reviews.index') }}" class="btn btn-outline-dark ml-3">Cancel</a>
                    </div>
        </div>
        <!-- /.card -->
        </section>
        </form>
    </div>
    <!-- Card END -->
    </div>
@endsection
@section('titel')
Review/add
@endsection