@extends('Admin.layout.layout')

@section('admin_content')
    @if (Session::has('success'))
        <div class="alert alert-success alert-block">
            <strong>{{ Session::get('success') }}</strong>
        </div>
    @endif

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Edit Review</h1>
                <a href="{{ route('admin.reviews.index') }}" class="btn btn-sm btn-primary mb-0">Back</a>
            </div>
        </div>


        <!-- Card START -->
        <div class="card bg-transparent">

            <form method="POST" action="{{ route('admin.reviews.update', $reviews->id) }}">
                @csrf
                @method('PUT')
                <div class="col-md-12 row">

                    <div class="form-group col-6 mt-2">
                        <label for="user">User</label>
                        <select class="form-control" id="user" name="user" >
                            <option value="">Select a user</option>
                            @foreach ($users as $user)
                                <option value="{{ $user->id }}" {{ $user->id == $reviews->user ? 'selected' : '' }}>
                                    {{ $user->email }}
                                </option>
                            @endforeach
                        </select>
                    </div>

                    <div class="form-group col-6 mt-2">
                        <label for="rating">Rating</label>
                        <select class="form-control" id="rating" name="rating" required>
                            <option value="1" {{ $reviews->rating == '1' ? 'selected' : '' }}>1 Star </option>
                            <option value="2" {{ $reviews->rating == '2' ? 'selected' : '' }}>2 Star</option>
                            <option value="3" {{ $reviews->rating == '3' ? 'selected' : '' }}>3 Star</option>
                            <option value="4" {{ $reviews->rating == '4' ? 'selected' : '' }}>4 Star</option>
                            <option value="5" {{ $reviews->rating == '5' ? 'selected' : '' }}>5 Star</option>
                        </select>
                    </div>
                    
                    <div class="form-group col-12 mt-2">
                        <label for="bio">Bio</label>
                        <textarea class="form-control" id="bio" name="bio">{{ $reviews->bio }}</textarea>
                    </div>

                    <div class="form-group col-12 mt-2">
                        <label for="review">Review</label>
                        <textarea class="form-control" id="review" name="review">{{ $reviews->review }}</textarea>
                    </div>
                </div>
                    <div class="form-group col-6 mt-2">
                        <label for="visible">Visible</label>
                        <select class="form-control" id="visible" name="visible" required>
                            <option value="1" {{ $reviews->visible == '1' ? 'selected' : '' }}>Yes</option>
                            <option value="0" {{ $reviews->visible == '0' ? 'selected' : '' }}>No</option>
                        </select>
                    </div>




                <div class="text-center mt-4">
                    <button type="submit" class="btn btn-primary">Update Review</button>
                </div>
            </form>

        </div>
    </div>
@endsection
@section('titel')
Review/edit
@endsection