@extends('Admin.layout.layout')

@section('admin_content')
    <div class="page-content-wrapper border">

        @if (Session::has('success'))
            <div class="alert alert-success alert-block">
                <strong>{{ Session::get('success') }}</strong>
            </div>
        @endif

        <!-- Title -->
        <div class="row">
            <div class="col-12 mb-3">
                <h1 class="h3 mb-2 mb-sm-0">Admin Settings</h1>
            </div>
        </div>

        <div class="row g-4">
            <!-- Left side START -->
            <div class="col-xl-3">
                <!-- Tab START -->
                <ul class="nav nav-pills nav-tabs-bg-dark flex-column">

                    <li class="nav-item"> <a class="nav-link active" data-bs-toggle="tab" href="#tab-1"><i
                                class="fas fa-globe fa-fw me-2"></i>General Settings</a> </li>

                    <li class="nav-item"> <a class="nav-link" data-bs-toggle="tab" href="#tab-2"><i
                                class="fas fa-cog fa-fw me-2"></i>Logo & Icon</a> </li>

                    <li class="nav-item"> <a class="nav-link" data-bs-toggle="tab" href="#tab-5"><i
                                class="fas fa-sliders-h fa-fw me-2"></i>Social Settings</a> </li>

                </ul>
                <!-- Tab END -->
            </div>
            <!-- Left side END -->

            <!-- Right side START -->
            <div class="col-xl-9">

                <!-- Tab Content START -->
                <div class="tab-content">
                    @foreach ($settings as $setting)

                        <!-- General Setting content START -->
                        @include('Admin.Setting.partials.General-Settings')
                        <!-- General Setting content END -->

                        <!-- Social Settings content START -->
                        @include('Admin.Setting.partials.Social-Media-Settings')
                        <!-- Social Settings content END -->

                        <!-- Logo & Icon Settings content START -->
                        @include('Admin.Setting.partials.Logo-&-Icon')
                        <!-- Logo & Icon Settings content END -->

                    @endforeach
                </div>
                <!-- Tab Content END -->
            </div>
            <!-- Right side END -->
        </div> <!-- Row END -->
    </div>
@endsection
@section('titel')
Setting
@endsection