@extends('Admin.layout.layout')

@section('admin_content')
    @if (Session::has('success'))
        <div class="alert alert-success alert-block">
            <strong>{{ Session::get('success') }}</strong>
        </div>
    @endif

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Add User</h1>
                <a href="{{ route('admin.users') }}" class="btn btn-sm btn-primary mb-0">Back</a>
            </div>
        </div>

        <!-- Card START -->
        <div class="card bg-transparent border">

            <form action="{{ route('admin.user.create') }}" method="POST">
                @csrf
                <section class="content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="row">

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="name">First Name</label>
                                                    <input type="text" name="name" id="name" class="form-control"
                                                        placeholder="First Name" value="{{ old('name') }}"
                                                        autocomplete="given-name">
                                                    <span class="text-danger">
                                                        @error('name')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="last_name">Last Name</label>
                                                    <input type="text" name="last_name" id="last_name"
                                                        class="form-control" placeholder="Last Name"
                                                        value="{{ old('last_name') }}" autocomplete="family-name">
                                                    <span class="text-danger">
                                                        @error('last_name')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="email">Email</label>
                                                    <input type="email" name="email" id="email" class="form-control"
                                                        placeholder="Email" value="{{ old('email') }}"
                                                        autocomplete="email">
                                                    <span class="text-danger">
                                                        @error('email')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="contact_number">Contact Number</label>
                                                    <input type="tel" name="contact_number" id="contact_number"
                                                        class="form-control" placeholder="Contact Number"
                                                        value="{{ old('contact_number') }}" autocomplete="tel">
                                                    <span class="text-danger">
                                                        @error('contact_number')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="address">Address</label>
                                                    <input type="text" name="address" id="address" class="form-control"
                                                        placeholder="Address" value="{{ old('address') }}"
                                                        autocomplete="street-address">
                                                    <span class="text-danger">
                                                        @error('address')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="password">Password</label>
                                                    <input type="password" name="password" id="password"
                                                        class="form-control" placeholder="Password"
                                                        value="{{ old('password') }}" autocomplete="new-password">
                                                    <span class="text-danger">
                                                        @error('password')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <!-- Additional Fields -->


                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="roll">Roll</label>
                                                    <select name="roll" id="roll" class="form-control">

                                                        <option value="admin"
                                                            {{ old('roll') == 'admin' ? 'selected' : '' }}>Admin
                                                        </option>

                                                        <option value="user" selected=""
                                                            {{ old('roll') == 'user' ? 'selected' : '' }}>User
                                                        </option>

                                                        <option value="tester"
                                                            {{ old('roll') == 'tester' ? 'selected' : '' }}>Tester
                                                        </option>

                                                        <option value="editor"
                                                            {{ old('roll') == 'editor' ? 'selected' : '' }}>Editor
                                                        </option>

                                                        <option value="sales-rep"
                                                            {{ old('roll') == 'sales-rep' ? 'selected' : '' }}>Sales-rep
                                                        </option>

                                                        <option value="tenant"
                                                            {{ old('roll') == 'tenant' ? 'selected' : '' }}>Tenant
                                                        </option>

                                                        <option value="affiliate"
                                                            {{ old('roll') == 'affiliate' ? 'selected' : '' }}>Affiliate
                                                        </option>

                                                    </select>

                                                    <span class="text-danger">
                                                        @error('roll')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>

                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="gender">Gender</label>
                                                    <select name="gender" id="gender" class="form-control">
                                                        <option value="male"
                                                            {{ old('gender') == 'male' ? 'selected' : '' }}>Male</option>
                                                        <option value="female"
                                                            {{ old('gender') == 'female' ? 'selected' : '' }}>Female
                                                        </option>
                                                        <option value="other"
                                                            {{ old('gender') == 'other' ? 'selected' : '' }}>Other</option>
                                                    </select>
                                                    <span class="text-danger">
                                                        @error('gender')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="dob">Date Of Birth</label>
                                                    <input type="date" name="dob" id="dob"
                                                        class="form-control" placeholder="Date Of Birth"
                                                        value="{{ old('dob') }}">
                                                    <span class="text-danger">
                                                        @error('dob')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="billing_address">Billing Address</label>
                                                    <input type="text" name="billing_address" id="billing_address"
                                                        class="form-control" placeholder="Billing Address"
                                                        value="{{ old('billing_address') }}">
                                                    <span class="text-danger">
                                                        @error('billing_address')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="billing_city">Billing City</label>
                                                    <input type="text" name="billing_city" id="billing_city"
                                                        class="form-control" placeholder="Billing City"
                                                        value="{{ old('billing_city') }}">
                                                    <span class="text-danger">
                                                        @error('billing_city')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="billing_country">Billing Country</label>
                                                    <input type="text" name="billing_country" id="billing_country"
                                                        class="form-control" placeholder="Billing Country"
                                                        value="{{ old('billing_country') }}">
                                                    <span class="text-danger">
                                                        @error('billing_country')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="billing_zip_code">Billing Zip Code</label>
                                                    <input type="text" name="billing_zip_code" id="billing_zip_code"
                                                        class="form-control" placeholder="Billing Zip Code"
                                                        value="{{ old('billing_zip_code') }}">
                                                    <span class="text-danger">
                                                        @error('billing_zip_code')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3 form-check" id="toggle_address">
                                                    <input type="checkbox" class="form-check-input"
                                                        id="shipping_same_as_billing" name="shipping_same_as_billing"
                                                        {{ old('shipping_same_as_billing') ? 'checked' : '' }}>
                                                    <label class="form-check-label"
                                                        for="shipping_same_as_billing">Shipping Address same as Billing
                                                        Address</label>
                                                </div>
                                            </div>

                                            <hr>
                                            <br>

                                            <div class="row" id="same_shipping_address"
                                                style="{{ old('shipping_same_as_billing') ? '' : 'display:none;' }}">
                                                <div class="col-md-6">
                                                    <div class="mb-3">
                                                        <label for="shipping_address">Shipping Address</label>
                                                        <input type="text" name="shipping_address"
                                                            id="shipping_address" class="form-control"
                                                            placeholder="Shipping Address"
                                                            value="{{ old('shipping_address') }}">
                                                        <span class="text-danger">
                                                            @error('shipping_address')
                                                                {{ $message }}
                                                            @enderror
                                                        </span>
                                                    </div>
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="mb-3">
                                                        <label for="shipping_city">Shipping City</label>
                                                        <input type="text" name="shipping_city" id="shipping_city"
                                                            class="form-control" placeholder="Shipping City"
                                                            value="{{ old('shipping_city') }}">
                                                        <span class="text-danger">
                                                            @error('shipping_city')
                                                                {{ $message }}
                                                            @enderror
                                                        </span>
                                                    </div>
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="mb-3">
                                                        <label for="shipping_country">Shipping Country</label>
                                                        <input type="text" name="shipping_country"
                                                            id="shipping_country" class="form-control"
                                                            placeholder="Shipping Country"
                                                            value="{{ old('shipping_country') }}">
                                                        <span class="text-danger">
                                                            @error('shipping_country')
                                                                {{ $message }}
                                                            @enderror
                                                        </span>
                                                    </div>
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="mb-3">
                                                        <label for="shipping_zip_code">Shipping Zip Code</label>
                                                        <input type="text" name="shipping_zip_code"
                                                            id="shipping_zip_code" class="form-control"
                                                            placeholder="Shipping Zip Code"
                                                            value="{{ old('shipping_zip_code') }}">
                                                        <span class="text-danger">
                                                            @error('shipping_zip_code')
                                                                {{ $message }}
                                                            @enderror
                                                        </span>
                                                    </div>
                                                </div>

                                                <hr>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="shipping_phone">Shipping Phone Number</label>
                                                    <input type="text" name="shipping_phone" id="shipping_phone"
                                                        class="form-control" placeholder="Shipping Phone Number"
                                                        value="{{ old('shipping_phone') }}">
                                                    <span class="text-danger">
                                                        @error('shipping_phone')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="newsletters">Newsletters</label>
                                                    <select name="newsletters" id="newsletters" class="form-control">
                                                        <option value="yes"
                                                            {{ old('newsletters') == 'yes' ? 'selected' : '' }}>Yes
                                                        </option>
                                                        <option value="no"
                                                            {{ old('newsletters') == 'no' ? 'selected' : '' }}>No</option>
                                                    </select>
                                                    <span class="text-danger">
                                                        @error('newsletters')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="organization">Organization</label>
                                                    <input type="text" name="organization" id="organization"
                                                        class="form-control" placeholder="Organization"
                                                        value="{{ old('organization') }}">
                                                    <span class="text-danger">
                                                        @error('organization')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="mailer_campaign">Mailer Campaign</label>
                                                    <input type="text" name="mailer_campaign" id="mailer_campaign"
                                                        class="form-control" placeholder="Mailer Campaign"
                                                        value="{{ old('mailer_campaign') }}">
                                                    <span class="text-danger">
                                                        @error('mailer_campaign')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="mailer_campaign_identifier_name">Mailer Campaign Identifier
                                                        Name</label>
                                                    <input type="text" name="mailer_campaign_identifier_name"
                                                        id="mailer_campaign_identifier_name" class="form-control"
                                                        placeholder="Mailer Campaign Identifier Name"
                                                        value="{{ old('mailer_campaign_identifier_name') }}">
                                                    <span class="text-danger">
                                                        @error('mailer_campaign_identifier_name')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="mailer_campaign_timestamp">Mailer Campaign
                                                        Timestamp</label>
                                                    <input type="datetime-local" name="mailer_campaign_timestamp"
                                                        id="mailer_campaign_timestamp" class="form-control"
                                                        placeholder="Mailer Campaign Timestamp"
                                                        value="{{ old('mailer_campaign_timestamp') }}">
                                                    <span class="text-danger">
                                                        @error('mailer_campaign_timestamp')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="mailer_source">Mailer Source</label>
                                                    <input type="text" name="mailer_source" id="mailer_source"
                                                        class="form-control" placeholder="Mailer Source"
                                                        value="{{ old('mailer_source') }}">
                                                    <span class="text-danger">
                                                        @error('mailer_source')
                                                            {{ $message }}
                                                        @enderror
                                                    </span>
                                                </div>
                                            </div>

                                            <!-- End Additional Fields -->

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="pb-5 pt-3 text-center">
                        &nbsp;&nbsp;&nbsp;
                        <button class="btn btn-primary" type="submit">Add</button>
                        <a href="{{ route('admin.users') }}" class="btn btn-outline-dark ml-3">Cancel</a>
                    </div>
                </section>
            </form>
        </div>
        <!-- Card END -->
    </div>
@endsection

@section('script')
    <script>
        // Function to toggle shipping address fields based on checkbox state
        function toggleShippingAddress() {
            var isChecked = document.getElementById('shipping_same_as_billing').checked;
            var shippingFields = document.querySelectorAll('.shipping-fields');

            shippingFields.forEach(function(field) {
                field.disabled = isChecked;
                if (isChecked) {
                    field.value = document.getElementById('billing_' + field.name.split('_')[1]).value;
                } else {
                    field.value = '';
                }
            });
        }

        // Event listener for checkbox change
        document.getElementById('shipping_same_as_billing').addEventListener('change', function() {
            toggleShippingAddress();
        });

        // Initial toggle check
        toggleShippingAddress();


        $('#toggle_address').on('click', function() {
            $('#same_shipping_address').toggle();
            let buttonText = $('#same_shipping_address').is(':visible') ?
                '<input type="checkbox" class="form-check-input">' +
                '<label class="form-check-label" for="shipping_same_as_billing">Shipping Address same as Billing Address</label>' :

                '<input type="checkbox" class="form-check-input" checked>' +
                '<label class="form-check-label" for="shipping_same_as_billing">Shipping Address same as Billing Address</label>';
            $(this).html(buttonText);
        });

        $(document).ready(function() {
            // Check if the checkbox is checked initially
            if ($('#shipping_same_as_billing').prop('check')) {
                copyBillingToShipping();
            }

            // Toggle shipping address fields based on checkbox
            $('#shipping_same_as_billing').on('change', function() {
                $('#same_shipping_address').toggle();

                if ($(this).is(':checked')) {
                    copyBillingToShipping();
                } else {
                    // Clear shipping address fields if unchecked
                    $('#shipping_address').val('');
                    $('#shipping_city').val('');
                    $('#shipping_country').val('');
                    $('#shipping_zip_code').val('');
                }
            });

            // Function to copy billing address to shipping address
            function copyBillingToShipping() {
                $('#shipping_address').val($('#billing_address').val());
                $('#shipping_city').val($('#billing_city').val());
                $('#shipping_country').val($('#billing_country').val());
                $('#shipping_zip_code').val($('#billing_zip_code').val());
            }
        });
    </script>
@endsection

@section('titel')
    Users/add
@endsection
