@extends('Frontened.ecops-layout.layout')



@section('ecops-content')

    <section class="pbmit-title-bar-wrapper">

        <div class="container">

            <div class="pbmit-title-bar-content">

                <div class="pbmit-title-bar-content-inner">

                    <div class="pbmit-tbar">

                        <div class="pbmit-tbar-inner container text-center">

                            <h1 class="pbmit-tbar-title">About Us</h1>

                        </div>

                    </div>

                </div>

            </div>

        </div>

    </section>





    <section class="about-us-main-section-wrap">

        <div class="container">

            <div class="about-us-1-section">

                <div class="row">

                    <div class=" col-md-12">

                        <div class="pbmit-heading-subheading text-center">

                            <h4 class="pbmit-subtitle">ABOUT US</h4>



                        </div>

                    </div>

                    <div class=" col-md-6">

                        <p class="about-us-1-heading-desc">At ECOPS, we believe that sustainability is not just a

                            trend—it's the future. We are committed to transforming how organizations manage and report

                            their Environmental, Social, and Governance (ESG) data. Our powerful ESG reporting and idea

                            management platform is designed to help companies streamline their sustainability efforts,

                            ensure regulatory compliance, and foster innovation for long-term positive impact.</p>

                    </div>

                    <div class=" col-md-6">

                        <p class="about-us-1-heading-desc">Since our inception, we've focused on delivering a

                            comprehensive, user-friendly solution that simplifies ESG reporting, empowers innovation,

                            and drives measurable environmental and social impact. With our centralized data collection,

                            AI-powered tools, and seamless integration of idea management, we are helping organizations

                            of all sizes and industries unlock the full potential of their sustainability strategies.

                        </p>

                    </div>

                </div>

            </div>

        </div>

    </section>



    <section class="our-mission-section">

        <div class="container">

            <div class="row">

                <div class="col-xl-4 col-lg-4 col-md-12 our-mission-left-wrap">

                    <div class="about-us-tabs-main">
                        <ul>
                            <li>
                                <a href="#" class="tab-link active" data-target="tab1">Our Vision <i
                                        class="fa-solid fa-chevron-right"></i></a>
                            </li>
                            <li>
                                <a href="#" class="tab-link" data-target="tab2">Our Mission <i
                                        class="fa-solid fa-chevron-right"></i></a>
                            </li>
                            <li>
                                <a href="#" class="tab-link" data-target="tab3">Our Commitment <i
                                        class="fa-solid fa-chevron-right"></i></a>
                            </li>
                        </ul>
                    </div>

                </div>

                <div class="col-xl-8 col-lg-8 col-md-12 our-mission-right-wrap">



                    <div class="our-mission-left tab-content active" id="tab1">

                        <h5>Our Vision</h5>



                        <p>To empower organizations to lead with transparency and innovation, creating a sustainable

                            future where ESG principles drive positive change for people and the planet.</p>



                    </div>
                    <div class="our-mission-left tab-content" id="tab2" style="display: none;">

                        <h5>Our Mission</h5>



                        <p>To simplify sustainability through intuitive ESG reporting, precise emissions tracking, and

                            continuous innovation, helping organizations meet their goals, comply with regulations, and

                            drive long-term environmental and social impact.</p>



                    </div>
                    <div class="our-mission-left tab-content" id="tab3" style="display: none;">

                        <h5>Our Commitment</h5>

                        <p>Reliable, Transparent, and Impactful ESG Solutions</p>

                        <p>At ECOPS, we are committed to delivering reliable, traceable, and actionable ESG insights.

                            Whether you are a global enterprise, a growing organization, or a sustainability leader, our

                            platform equips you with the tools to optimize your ESG performance and achieve your

                            long-term sustainability goals.</p>

                        <p>We believe that every company has the power to create a positive impact, and through our

                            solutions, we make that journey easier, smarter, and more impactful.</p>



                    </div>



                </div>

            </div>

        </div>

    </section>


    <section class="team-section-wrap">
        <div class="container">
            <div class="team-headding text-center team-section">
                <h2 class="tittle-h-2">Our Team</h2>
            </div>
            <div class="row team-row justify-content-center">

                @forelse ($teams as $team)

                <div class="col-md-4 team-wrap-main">
                    <div class="team-wrap shine-overlay">
                        <div class="team-img">
                            <img src="{{ asset('assets/img/team/' . $team->image) }}" alt="">
                            <span><a href="{{ $team->url }}"><i class="fa-brands fa-linkedin"></i></a></span>
                            <div class="shine"></div>
                        </div>
                        <div class="team-text">
                            <h3>
                                <h3>{{ $team->name }}</h3>
                            </h3>
                            <h4>{{ $team->designation }}</h4>
                        </div>
                    </div>
                </div>

                @empty
                    <p>Team Not Found</p>
                @endforelse


            </div>
        </div>
    </section>


    <section class="testimonial-section">

        <div class="container">

            <div class="some-tittle text-center">

                <h5>TESTIMONIALS</h5>

                <h2 class="tittle-h-2">What do people about <span>Ecops?</span></h2>

            </div>

            <div class="swiper testimonial-slider swiper-initialized swiper-horizontal swiper-backface-hidden">

                <div class="swiper-wrapper" id="swiper-wrapper-210c102cbdf6e811a7" aria-live="polite">

                    @forelse ($testimonials as $data)
                        <div class="swiper-slide swiper-slide-active" role="group" aria-label="1 / 3"
                            style="width: 643px; margin-right: 10px;">

                            <div class="testimonial-box-main">

                                <div class="testimonial-box-main-1  align-items-center">

                                    <div class="testimonial-profile-image">

                                        <img src="{{ asset('assets/img/testimonial/' . $data->image) }}" alt="">

                                    </div>

                                    <div class="testimonial-content-1">

                                        <div class="testimonial-star">

                                            <span>

                                                <svg stroke="currentColor" fill="#20BDB8" stroke-width="0"
                                                    viewBox="0 0 576 512" class="rating" height="1em" width="1em"
                                                    xmlns="http://www.w3.org/2000/svg">

                                                    <path
                                                        d="M259.3 17.8L194 150.2 47.9 171.5c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.3 23.2 46 46.4 33.7L288 439.6l130.7 68.7c23.2 12.2 50.9-7.4 46.4-33.7l-25-145.5 105.7-103c19-18.5 8.5-50.8-17.7-54.6L382 150.2 316.7 17.8c-11.7-23.6-45.6-23.9-57.4 0z">

                                                    </path>

                                                </svg>

                                            </span>

                                            <span>

                                                <svg stroke="currentColor" fill="#20BDB8" stroke-width="0"
                                                    viewBox="0 0 576 512" class="rating" height="1em" width="1em"
                                                    xmlns="http://www.w3.org/2000/svg">

                                                    <path
                                                        d="M259.3 17.8L194 150.2 47.9 171.5c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.3 23.2 46 46.4 33.7L288 439.6l130.7 68.7c23.2 12.2 50.9-7.4 46.4-33.7l-25-145.5 105.7-103c19-18.5 8.5-50.8-17.7-54.6L382 150.2 316.7 17.8c-11.7-23.6-45.6-23.9-57.4 0z">

                                                    </path>

                                                </svg>

                                            </span>

                                            <span>

                                                <svg stroke="currentColor" fill="#20BDB8" stroke-width="0"
                                                    viewBox="0 0 576 512" class="rating" height="1em" width="1em"
                                                    xmlns="http://www.w3.org/2000/svg">

                                                    <path
                                                        d="M259.3 17.8L194 150.2 47.9 171.5c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.3 23.2 46 46.4 33.7L288 439.6l130.7 68.7c23.2 12.2 50.9-7.4 46.4-33.7l-25-145.5 105.7-103c19-18.5 8.5-50.8-17.7-54.6L382 150.2 316.7 17.8c-11.7-23.6-45.6-23.9-57.4 0z">

                                                    </path>

                                                </svg>

                                            </span>

                                            <span>

                                                <svg stroke="currentColor" fill="#20BDB8" stroke-width="0"
                                                    viewBox="0 0 576 512" class="rating" height="1em" width="1em"
                                                    xmlns="http://www.w3.org/2000/svg">

                                                    <path
                                                        d="M259.3 17.8L194 150.2 47.9 171.5c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.3 23.2 46 46.4 33.7L288 439.6l130.7 68.7c23.2 12.2 50.9-7.4 46.4-33.7l-25-145.5 105.7-103c19-18.5 8.5-50.8-17.7-54.6L382 150.2 316.7 17.8c-11.7-23.6-45.6-23.9-57.4 0z">

                                                    </path>

                                                </svg>

                                            </span>

                                            <span>

                                                <svg stroke="currentColor" fill="#20BDB8" stroke-width="0"
                                                    viewBox="0 0 576 512" class="rating" height="1em" width="1em"
                                                    xmlns="http://www.w3.org/2000/svg">

                                                    <path
                                                        d="M259.3 17.8L194 150.2 47.9 171.5c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.3 23.2 46 46.4 33.7L288 439.6l130.7 68.7c23.2 12.2 50.9-7.4 46.4-33.7l-25-145.5 105.7-103c19-18.5 8.5-50.8-17.7-54.6L382 150.2 316.7 17.8c-11.7-23.6-45.6-23.9-57.4 0z">

                                                    </path>

                                                </svg>

                                            </span>

                                        </div>

                                        <div class="testimonial-title">

                                            <h5>{{ $data->name }}</h5>

                                        </div>

                                    </div>

                                </div>

                                <div class="testimonial-content-bottom">

                                    <p class="f-500 p-color">{!! $data->t_content !!}</p>

                                </div>

                            </div>

                        </div>
                    @empty
                        <p>No Testimonials Found</p>
                    @endforelse

                </div>

                <!-- Add Pagination -->

                <div
                    class="swiper-pagination swiper-pagination-clickable swiper-pagination-bullets swiper-pagination-horizontal">

                    <span class="swiper-pagination-bullet swiper-pagination-bullet-active" tabindex="0" role="button"
                        aria-label="Go to slide 1" aria-current="true"></span><span class="swiper-pagination-bullet"
                        tabindex="0" role="button" aria-label="Go to slide 2"></span>

                </div>

                <!-- Add Navigation -->

                <div class="swiper-button-next" tabindex="0" role="button" aria-label="Next slide"
                    aria-controls="swiper-wrapper-210c102cbdf6e811a7" aria-disabled="false"></div>

                <div class="swiper-button-prev swiper-button-disabled" tabindex="-1" role="button"
                    aria-label="Previous slide" aria-controls="swiper-wrapper-210c102cbdf6e811a7" aria-disabled="true">

                </div>

                <span class="swiper-notification" aria-live="assertive" aria-atomic="true"></span>

            </div>



        </div>

    </section>







    @section('ecops-script')
        <script>
            const swiper = new Swiper('.testimonial-slider', {

                slidesPerView: 2,

                spaceBetween: 10,

                autoplay: true,

                navigation: {

                    nextEl: '.swiper-button-next',

                    prevEl: '.swiper-button-prev',

                },

                pagination: {

                    el: '.swiper-pagination',

                    clickable: true,

                },

                breakpoints: {

                    991: {

                        slidesPerView: 2,

                        loop: true,

                    },

                    768: {

                        slidesPerView: 1,

                        loop: true,

                    },

                    0: {

                        slidesPerView: 1,

                    },

                },

            });
        </script>
        <script>
            document.querySelectorAll('.tab-link').forEach(item => {
                item.addEventListener('click', event => {
                    event.preventDefault();


                    document.querySelectorAll('.tab-link').forEach(link => {
                        link.classList.remove('active');
                    });


                    document.querySelectorAll('.tab-content').forEach(content => {
                        content.style.display = 'none';
                    });


                    item.classList.add('active');


                    const targetContent = document.getElementById(item.getAttribute('data-target'));
                    if (targetContent) {
                        targetContent.style.display = 'block';
                    }
                });
            });
        </script>
    @endsection

@endsection
