@extends('Frontened.ecops-layout.layout')

@section('ecops-content')
    <section class="pbmit-title-bar-wrapper">
        <div class="container">
            <div class="pbmit-title-bar-content">
                <div class="pbmit-title-bar-content-inner">
                    <div class="pbmit-tbar">
                        <div class="pbmit-tbar-inner container text-center">
                            <h1 class="pbmit-tbar-title">Industries</h1>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>


    <section class="client-section-wrap">
        <div class="container">
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Aerospace & Defense</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>High carbon emissions from aircraft and manufacturing processes</li>
                                <li>Complex supply chains with potential environmental and social risks</li>
                                <li>Stringent regulatory requirements and safety standards</li>
                                <li>Need for innovative technologies to reduce environmental impact</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Track and report carbon emissions across operations and supply chain</li>
                                <li>Facilitate collaboration on sustainable technology development</li>
                                <li>Streamline compliance with regulatory standards</li>
                                <li>Capture and prioritize employee ideas for operational improvements</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Manufacturing</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>Resource-intensive processes leading to high energy consumption and waste generation
                                </li>
                                <li>Supply chain transparency and responsible sourcing</li>
                                <li>Workplace safety and labor practices</li>
                                <li>Adapting to circular economy principles</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Monitor and optimize energy usage and waste reduction efforts</li>
                                <li>Track supplier performance on environmental and social metrics</li>
                                <li>Implement safety reporting and incident management systems</li>
                                <li>Crowdsource ideas for circular product design and manufacturing processes</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Automotive</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>Transitioning to electric and low-emission vehicles</li>
                                <li>Sustainable sourcing of raw materials, especially for batteries</li>
                                <li>Improving fuel efficiency and reducing lifecycle emissions</li>
                                <li>Addressing labor and human rights issues in the supply chain</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Track progress on electric vehicle development and adoption</li>
                                <li>Monitor and report on responsible sourcing practices</li>
                                <li>Capture and evaluate ideas for improving vehicle efficiency</li>
                                <li>Implement supplier audits and performance tracking</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Chemicals</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>Reducing hazardous waste and emissions</li>
                                <li>Developing sustainable and bio-based alternatives</li>
                                <li>Ensuring product safety and responsible use</li>
                                <li>Managing energy-intensive processes</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Track and report on waste reduction and emissions control efforts</li>
                                <li>Facilitate collaboration on green chemistry innovations</li>
                                <li>Implement product stewardship and safety data management systems</li>
                                <li>Monitor energy efficiency and identify improvement opportunities</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Oil & Gas</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>Transitioning to low-carbon energy sources</li>
                                <li>Reducing methane emissions and flaring</li>
                                <li>Managing environmental risks in exploration and production</li>
                                <li>Ensuring worker safety in hazardous environments</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Track investments and progress in renewable energy development</li>
                                <li>Monitor and report on emissions reduction efforts</li>
                                <li>Implement environmental risk assessment and management tools</li>
                                <li>Capture and prioritize safety improvement ideas from employees</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Construction</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>Reducing embodied carbon in building materials</li>
                                <li>Improving energy efficiency in buildings</li>
                                <li>Managing waste and promoting circular construction practices</li>
                                <li>Ensuring worker safety on construction sites</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Track and report on sustainable material sourcing and usage</li>
                                <li>Monitor energy performance of completed projects</li>
                                <li>Implement waste reduction and recycling tracking systems</li>
                                <li>Capture and manage site safety observations and improvements</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Pharma, BioTech & Health</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>Reducing environmental impact of drug manufacturing</li>
                                <li>Ensuring ethical clinical trials and research practices</li>
                                <li>Improving access to healthcare and medicines</li>
                                <li>Managing complex global supply chains</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Monitor and report on green chemistry initiatives</li>
                                <li>Implement clinical trial management and ethics compliance systems</li>
                                <li>Track and report on healthcare access programs</li>
                                <li>Manage supplier audits and performance on ESG metrics </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Energy & Utilities</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>Transitioning to renewable energy sources</li>
                                <li>Improving grid resilience and efficiency</li>
                                <li>Managing water resources and quality</li>
                                <li>Ensuring cybersecurity of critical infrastructure</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Track progress on renewable energy adoption and integration</li>
                                <li>Monitor grid performance and identify improvement opportunities</li>
                                <li>Implement water quality monitoring and conservation systems</li>
                                <li>Capture and prioritize ideas for enhancing cybersecurity measures </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Retail</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>Reducing packaging waste and promoting circular economy</li>
                                <li>Ensuring ethical and sustainable supply chains</li>
                                <li>Improving energy efficiency in stores and logistics</li>
                                <li>Enhancing customer experience while reducing environmental impact</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Track and report on packaging reduction and recycling efforts</li>
                                <li>Implement supplier code of conduct and performance monitoring</li>
                                <li>Monitor energy usage across retail locations and distribution centres</li>
                                <li>Capture and evaluate customer and employee ideas for sustainability improvements </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Hospital & Medical Centre</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>Reducing medical waste and improving disposal practices</li>
                                <li>Enhancing energy efficiency in 24/7 operations</li>
                                <li>Ensuring patient safety and quality of care</li>
                                <li>Managing complex supply chains and procurement</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Implement waste tracking and reduction initiatives</li>
                                <li>Monitor energy consumption and identify conservation opportunities</li>
                                <li>Capture and manage patient safety incidents and improvement ideas</li>
                                <li>Track supplier performance on sustainability and ethical practices</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clint-sub-main-wrap">
                <div class="client-challeng-and-solution-main-tittle">
                    <h3>Food & Beverage</h3>
                </div>
                <div class="row align-items-center">
                    <div class="col-md-5 challenges-wrap-right">
                        <div class="challenges-wrap-main">
                            <h4>challenges</h4>
                            <div class="icon-chllenges icon-comun">⚙️</div>
                            <ul>
                                <li>Reducing food waste throughout the supply chain</li>
                                <li>Improving water management and conservation</li>
                                <li>Ensuring sustainable and ethical sourcing of ingredients</li>
                                <li>Reducing packaging waste and promoting recyclability</li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-2 client-mid-arrow text-center">
                        <div class="arrow-mid">⇌</div>
                    </div>
                    <div class="col-md-5 solution-wrap-left">
                        <div class="challenges-wrap-main">
                            <h4>solutions</h4>
                            <div class="icon-comun icon-solution">💡</div>
                            <ul>
                                <li>Track and report on food waste reduction efforts</li>
                                <li>Implement water usage monitoring and conservation systems</li>
                                <li>Manage supplier audits and performance on sustainability metrics</li>
                                <li>Capture and evaluate ideas for sustainable packaging innovations</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

@section('ecops-script')
    <script>
        function toggleContent(itemNumber) {
            var text = document.getElementById("text" + itemNumber);
            var readMore = document.getElementById("readMore" + itemNumber);

            // Toggle between showing the full text and truncating it
            if (text.style.height === "auto") {
                text.style.height = "300px"; // Set to 4 lines
                readMore.innerHTML = "Read More";
            } else {
                text.style.height = "auto"; // Show full content
                readMore.innerHTML = "Read Less";
            }
        }
    </script>
@endsection
@endsection
