@extends('Frontened.student.layout')

@section('content')

<div class="page-content-wrapper border col-xl-9">

    <div class="row mb-3">
        <div class="col-12 d-sm-flex justify-content-between align-items-center">
            <h1 class="h3 mb-2 mb-sm-0">Submitted Assignment</h1>

        </div>
    </div>


    <div class="card bg-transparent border">
        <div class="card-header bg-light border-bottom">
            <!-- Search and select START -->
            <div class="row g-3 align-items-center justify-content-between">
                <!-- Search bar -->
                <div class="col-md-3">
                    <form action="{{ route('assignment') }}" method="GET" class="rounded position-relative">
                        <input name="search" class="form-control bg-body" type="search" placeholder="Search"
                            aria-label="Search" value="{{ request()->get('search') }}">
                        <button
                            class="bg-transparent p-2 position-absolute top-50 end-0 translate-middle-y border-0 text-primary-hover text-reset"
                            type="submit">
                            <i class="fas fa-search fs-6"></i>
                        </button>
                    </form>
                </div>

                <!-- Select option -->
                <div class="col-md-3">
                    <!-- Short by filter -->
                    <form method="GET" action="{{ route('assignment') }}">

                        <select class="form-select js-choice border-0 z-index-9" name="sort"
                            aria-label=".form-select-sm" onchange="this.form.submit()">
                            <option value="">Sort by</option>
                            <option value="newest" {{ request('sort') == 'newest' ? 'selected' : '' }}>Newest</option>
                            <option value="oldest" {{ request('sort') == 'oldest' ? 'selected' : '' }}>Oldest</option>

                        </select>
                    </form>
                </div>
            </div>
            <!-- Search and select END -->
        </div>
        <!-- Card header END -->

        <!-- Card body START -->
        <div class="card-body">
            <!-- Course table START -->
            <div class="table-responsive border-0 rounded-3">
                <!-- Table START -->
                <table class="table table-dark-gray align-middle p-4 mb-0 table-hover">
                    <!-- Table head -->
                    <thead>
                        <tr>
                            <th scope="col" class="border-0 rounded-start">Sr.No</th>
                            <th scope="col" class="border-0">Assignment</th>
                            <th scope="col" class="border-0">Email</th>
                            <th scope="col" class="border-0 text-center rounded-end">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($StudentAssignment as $data)
                        <tr>
                            <td>{{ $loop->iteration }}</td>
                            <td>
                                {{ $data->quiz->name }}
                            </td>

                            <td>
                                @if ($data->student && $data->student->email)
                                {{ $data->student->email }}
                                @else
                                No student found
                                @endif
                            </td>




                            <!-- Table data -->
                            <td class="text-center">
                                <button type="button" class="btn btn-primary-soft btn-round me-1 mb-1 mb-md-0"
                                    data-bs-toggle="modal" data-bs-target="#quizModal{{ $data->id }}">
                                    <i class="bi bi-eye"></i>
                                </button>
                            </td>
                        </tr>
                        @endforeach
            </div>
        </div>
    </div>

    </tbody>
    <!-- Table body END -->
    </table>
    <!-- Table END -->
</div>

</div>
<!-- Card body END -->

<!-- Card footer START -->
<div class="card-footer bg-transparent pt-0">
    <!-- Pagination START -->
    <div class="d-sm-flex justify-content-sm-between align-items-sm-center">

        <!-- Pagination -->

        {{ $StudentAssignment->links() }}

        <!-- Pagination END -->
    </div>
    <!-- Card footer END -->
</div>
<!-- Card END -->
</div>
{{-- @foreach ($quiz as $data)
<div class="modal" id="quizModal{{ $data->id }}" tabindex="-1"
    aria-labelledby="quizModalLabel{{ $data->id }}" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="quizModalLabel{{ $data->id }}">
                    Quiz Details (ID: {{ $data->id }})
                </h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body table-responsive">
                @php
                if (is_array($data->is_correct)) {
                $correctAnswers = count(
                array_filter($data->is_correct, function ($value) {
                return $value === 1;
                }),
                );
                } else {
                $correctAnswers = 0;
                }

                $totalQuestions = is_array($data->questions)
                ? count($data->questions)
                : 0;
                $percentage = $totalQuestions > 0 ? ($correctAnswers / $totalQuestions) * 100 : 0;
                @endphp

                <p><strong>Name:</strong>
                    @if ($data->student && ($data->student->f_name || $data->student->l_name))
                    {{ $data->student->f_name . ' ' . $data->student->l_name }}
                    @else
                    No student found
                    @endif
                </p>
                <p><strong>Quiz:</strong> {{ $data->quiz->name }}</p>
                <p><strong>Email:</strong>
                    @if ($data->student && $data->student->email)
                    {{ $data->student->email }}
                    @else
                    No student found
                    @endif
                </p>
                <p><strong>Total Questions:</strong> {{ $totalQuestions }}</p>
                <p><strong>Correct Answers:</strong> {{ $correctAnswers }}</p>
                <p><strong>Score:</strong> {{ number_format($percentage, 2) }}%</p>

                <table class="table table-bordered ">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Question</th>
                            <th>Student Answer</th>
                            <th>Result</th>
                            <th>Correct Answer</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                        $quiz = json_decode($data->quiz->question, true);
                        $quizanswer = json_decode($data->quiz->answer, true);

                        $cleanedAnswers = array_map(function ($answer) {
                        return trim($answer, '[]');
                        }, $quizanswer);

                        @endphp
                        @foreach ($quiz as $index => $question)
                        <tr>
                            <td>{{ $index + 1 }}</td>

                            <td>
                                @if (isset($quiz[$index]))
                                {{ $quiz[$index] }}
                                @else
                                Not Available
                                @endif
                            </td>
                            <td>
                                @if (isset($data->answers[$index]))
                                @php
                                $answer = $data->answers[$index];
                                @endphp

                                @if (is_array($answer))
                                {{ implode(', ', $answer) }}
                                @else
                                {{ $answer }}
                                @endif
                                @else
                                Not Attempted
                                @endif
                            </td>

                            <td>
                                @if (isset($data->is_correct[$index]))
                                {{ $data->is_correct[$index] === 1 ? 'Correct' : 'Incorrect' }}
                                @else
                                -
                                @endif
                            </td>

                            <td>
                                @if (isset($cleanedAnswers[$index]))
                                {{ $cleanedAnswers[$index] }}
                                @else
                                Not Available
                                @endif
                            </td>

                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endforeach --}}

@endsection