<?php $__env->startSection('admin_content'); ?>
    <?php if(Session::has('success')): ?>
        <div class="alert alert-success alert-block">
            <strong><?php echo e(Session::get('success')); ?></strong>
        </div>
    <?php endif; ?>

    <div class="page-content-wrapper border">

        <!-- Title -->
        <div class="row mb-3">
            <div class="col-12 d-sm-flex justify-content-between align-items-center">
                <h1 class="h3 mb-2 mb-sm-0">Blogs</h1>
                <a href="<?php echo e(route('admin.blogs.add')); ?>" class="btn btn-sm btn-primary mb-0">Add Blog</a>
            </div>
        </div>


        <!-- Card START -->
        <div class="card bg-transparent border">

            <!-- Card header START -->
            <div class="card-header bg-light border-bottom">
                <!-- Search and select START -->
                <div class="row g-3 align-items-center justify-content-between">
                    <!-- Search bar -->
                    <div class="col-md-3">
                        <form action="<?php echo e(route('admin.blogs')); ?>" method="GET" class="rounded position-relative">
                            <input name="search" class="form-control bg-body" type="search" placeholder="Search" aria-label="Search" value="<?php echo e(request()->get('search')); ?>">
                            <button class="bg-transparent p-2 position-absolute top-50 end-0 translate-middle-y border-0 text-primary-hover text-reset" type="submit">
                                <i class="fas fa-search fs-6"></i>
                            </button>
                        </form>
                    </div>

                    <!-- Select option -->
                    <div class="col-md-3">
                        <!-- Short by filter -->
                        <form>
                            <select class="form-select js-choice border-0 z-index-9" aria-label=".form-select-sm">
                                <option value="">Sort by</option>
                                <option>Newest</option>
                                <option>Oldest</option>
                                <option>Accepted</option>
                                <option>Rejected</option>
                            </select>
                        </form>
                    </div>
                </div>
                <!-- Search and select END -->
            </div>
            <!-- Card header END -->

            <!-- Card body START -->
            <div class="card-body">
                <!-- Course table START -->
                <div class="table-responsive border-0 rounded-3">
                    <!-- Table START -->
                    <table class="table table-dark-gray align-middle p-4 mb-0 table-hover">
                        <!-- Table head -->
                        <thead>
                            <tr>
                                <th scope="col" class="border-0 rounded-start">Sr.No</th>
                                <th scope="col" class="border-0">Name</th>
                                <th scope="col" class="border-0">Image</th>
                                <th scope="col" class="border-0">Status</th>
                                <th scope="col" class="border-0 text-center rounded-end">Action</th>


                            </tr>
                        </thead>

                        <!-- Table body START -->
                        <tbody>
                            <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <!-- Table row -->
                                <tr>
                                    <td><?php echo e($loop->iteration); ?></td>

                                    <!-- Table data -->
                                    <td>
                                        <div class="d-flex align-items-center">

                                            <div class="ms-2">
                                                <h6 class="mb-0 fw-light"><?php echo e($data->name); ?></h6>
                                            </div>
                                        </div>
                                    </td>

                                    <td><img src="<?php echo e(asset('assets/img/blog/' . $data->image)); ?>" width="100px"
                                            alt=" "></td>

                                    <td class="text-sm">
                                        <?php if($data->status == '1'): ?>
                                            <span class="badge text-bg-primary">Active</span>
                                        <?php else: ?>
                                            <span class="badge text-bg-orange">Dactive</span>
                                        <?php endif; ?>
                                    </td>

                                    <!-- Table data -->
                                    <td class="text-center">
                                        <a href="<?php echo e(route('admin.blogs.edit',$data->id )); ?>"
                                            class="btn btn-success-soft btn-round me-1 mb-1 mb-md-0"
                                            data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                            data-bs-original-title="Edit">
                                            <i class="bi bi-pencil-square"></i>
                                        </a>

                                       <a href="javascript:void(0);" class="btn btn-danger-soft btn-round me-1 mb-1 mb-md-0"
                                          onclick="deleteConfirmation('<?php echo e(route('admin.blogs.destroy', $data->id)); ?>')"
                                          data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                          data-bs-original-title="Delete">
                                          <i class="bi bi-trash"></i>
                                      </a>

                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                        <!-- Table body END -->
                    </table>
                    <!-- Table END -->
                </div>
                <!-- Course table END -->
            </div>
            <!-- Card body END -->

            <!-- Card footer START -->
            <div class="card-footer bg-transparent pt-0">
               <!-- Pagination START -->
               <div class="d-sm-flex justify-content-sm-between align-items-sm-center">

                <!-- Pagination -->

                    <?php echo e($blogs->links()); ?>


            <!-- Pagination END -->
            </div>
            <!-- Card footer END -->
        </div>
        <!-- Card END -->
    </div>


    <!--- Modal -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('titel'); ?>
Course
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Admin.layout.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/ecopshub.com/html/resources/views/Admin/Blogs/bloglist.blade.php ENDPATH**/ ?>